#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* USB_arb_int */
#define USB_arb_int__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USB_arb_int__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USB_arb_int__INTC_MASK 0x400000u
#define USB_arb_int__INTC_NUMBER 22u
#define USB_arb_int__INTC_PRIOR_NUM 7u
#define USB_arb_int__INTC_PRIOR_REG CYREG_NVIC_PRI_22
#define USB_arb_int__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USB_arb_int__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USB_bus_reset */
#define USB_bus_reset__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USB_bus_reset__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USB_bus_reset__INTC_MASK 0x800000u
#define USB_bus_reset__INTC_NUMBER 23u
#define USB_bus_reset__INTC_PRIOR_NUM 7u
#define USB_bus_reset__INTC_PRIOR_REG CYREG_NVIC_PRI_23
#define USB_bus_reset__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USB_bus_reset__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USB_Dm */
#define USB_Dm__0__MASK 0x80u
#define USB_Dm__0__PC CYREG_IO_PC_PRT15_7_6_PC1
#define USB_Dm__0__PORT 15u
#define USB_Dm__0__SHIFT 7
#define USB_Dm__AG CYREG_PRT15_AG
#define USB_Dm__AMUX CYREG_PRT15_AMUX
#define USB_Dm__BIE CYREG_PRT15_BIE
#define USB_Dm__BIT_MASK CYREG_PRT15_BIT_MASK
#define USB_Dm__BYP CYREG_PRT15_BYP
#define USB_Dm__CTL CYREG_PRT15_CTL
#define USB_Dm__DM0 CYREG_PRT15_DM0
#define USB_Dm__DM1 CYREG_PRT15_DM1
#define USB_Dm__DM2 CYREG_PRT15_DM2
#define USB_Dm__DR CYREG_PRT15_DR
#define USB_Dm__INP_DIS CYREG_PRT15_INP_DIS
#define USB_Dm__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define USB_Dm__LCD_EN CYREG_PRT15_LCD_EN
#define USB_Dm__MASK 0x80u
#define USB_Dm__PORT 15u
#define USB_Dm__PRT CYREG_PRT15_PRT
#define USB_Dm__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define USB_Dm__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define USB_Dm__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define USB_Dm__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define USB_Dm__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define USB_Dm__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define USB_Dm__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define USB_Dm__PS CYREG_PRT15_PS
#define USB_Dm__SHIFT 7
#define USB_Dm__SLW CYREG_PRT15_SLW

/* USB_Dp */
#define USB_Dp__0__MASK 0x40u
#define USB_Dp__0__PC CYREG_IO_PC_PRT15_7_6_PC0
#define USB_Dp__0__PORT 15u
#define USB_Dp__0__SHIFT 6
#define USB_Dp__AG CYREG_PRT15_AG
#define USB_Dp__AMUX CYREG_PRT15_AMUX
#define USB_Dp__BIE CYREG_PRT15_BIE
#define USB_Dp__BIT_MASK CYREG_PRT15_BIT_MASK
#define USB_Dp__BYP CYREG_PRT15_BYP
#define USB_Dp__CTL CYREG_PRT15_CTL
#define USB_Dp__DM0 CYREG_PRT15_DM0
#define USB_Dp__DM1 CYREG_PRT15_DM1
#define USB_Dp__DM2 CYREG_PRT15_DM2
#define USB_Dp__DR CYREG_PRT15_DR
#define USB_Dp__INP_DIS CYREG_PRT15_INP_DIS
#define USB_Dp__INTSTAT CYREG_PICU15_INTSTAT
#define USB_Dp__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define USB_Dp__LCD_EN CYREG_PRT15_LCD_EN
#define USB_Dp__MASK 0x40u
#define USB_Dp__PORT 15u
#define USB_Dp__PRT CYREG_PRT15_PRT
#define USB_Dp__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define USB_Dp__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define USB_Dp__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define USB_Dp__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define USB_Dp__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define USB_Dp__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define USB_Dp__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define USB_Dp__PS CYREG_PRT15_PS
#define USB_Dp__SHIFT 6
#define USB_Dp__SLW CYREG_PRT15_SLW
#define USB_Dp__SNAP CYREG_PICU_15_SNAP_15

/* USB_dp_int */
#define USB_dp_int__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USB_dp_int__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USB_dp_int__INTC_MASK 0x1000u
#define USB_dp_int__INTC_NUMBER 12u
#define USB_dp_int__INTC_PRIOR_NUM 7u
#define USB_dp_int__INTC_PRIOR_REG CYREG_NVIC_PRI_12
#define USB_dp_int__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USB_dp_int__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USB_ep_0 */
#define USB_ep_0__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USB_ep_0__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USB_ep_0__INTC_MASK 0x1000000u
#define USB_ep_0__INTC_NUMBER 24u
#define USB_ep_0__INTC_PRIOR_NUM 7u
#define USB_ep_0__INTC_PRIOR_REG CYREG_NVIC_PRI_24
#define USB_ep_0__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USB_ep_0__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USB_ep_1 */
#define USB_ep_1__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USB_ep_1__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USB_ep_1__INTC_MASK 0x01u
#define USB_ep_1__INTC_NUMBER 0u
#define USB_ep_1__INTC_PRIOR_NUM 7u
#define USB_ep_1__INTC_PRIOR_REG CYREG_NVIC_PRI_0
#define USB_ep_1__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USB_ep_1__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USB_sof_int */
#define USB_sof_int__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define USB_sof_int__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define USB_sof_int__INTC_MASK 0x200000u
#define USB_sof_int__INTC_NUMBER 21u
#define USB_sof_int__INTC_PRIOR_NUM 7u
#define USB_sof_int__INTC_PRIOR_REG CYREG_NVIC_PRI_21
#define USB_sof_int__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define USB_sof_int__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* USB_USB */
#define USB_USB__ARB_CFG CYREG_USB_ARB_CFG
#define USB_USB__ARB_EP1_CFG CYREG_USB_ARB_EP1_CFG
#define USB_USB__ARB_EP1_INT_EN CYREG_USB_ARB_EP1_INT_EN
#define USB_USB__ARB_EP1_SR CYREG_USB_ARB_EP1_SR
#define USB_USB__ARB_EP2_CFG CYREG_USB_ARB_EP2_CFG
#define USB_USB__ARB_EP2_INT_EN CYREG_USB_ARB_EP2_INT_EN
#define USB_USB__ARB_EP2_SR CYREG_USB_ARB_EP2_SR
#define USB_USB__ARB_EP3_CFG CYREG_USB_ARB_EP3_CFG
#define USB_USB__ARB_EP3_INT_EN CYREG_USB_ARB_EP3_INT_EN
#define USB_USB__ARB_EP3_SR CYREG_USB_ARB_EP3_SR
#define USB_USB__ARB_EP4_CFG CYREG_USB_ARB_EP4_CFG
#define USB_USB__ARB_EP4_INT_EN CYREG_USB_ARB_EP4_INT_EN
#define USB_USB__ARB_EP4_SR CYREG_USB_ARB_EP4_SR
#define USB_USB__ARB_EP5_CFG CYREG_USB_ARB_EP5_CFG
#define USB_USB__ARB_EP5_INT_EN CYREG_USB_ARB_EP5_INT_EN
#define USB_USB__ARB_EP5_SR CYREG_USB_ARB_EP5_SR
#define USB_USB__ARB_EP6_CFG CYREG_USB_ARB_EP6_CFG
#define USB_USB__ARB_EP6_INT_EN CYREG_USB_ARB_EP6_INT_EN
#define USB_USB__ARB_EP6_SR CYREG_USB_ARB_EP6_SR
#define USB_USB__ARB_EP7_CFG CYREG_USB_ARB_EP7_CFG
#define USB_USB__ARB_EP7_INT_EN CYREG_USB_ARB_EP7_INT_EN
#define USB_USB__ARB_EP7_SR CYREG_USB_ARB_EP7_SR
#define USB_USB__ARB_EP8_CFG CYREG_USB_ARB_EP8_CFG
#define USB_USB__ARB_EP8_INT_EN CYREG_USB_ARB_EP8_INT_EN
#define USB_USB__ARB_EP8_SR CYREG_USB_ARB_EP8_SR
#define USB_USB__ARB_INT_EN CYREG_USB_ARB_INT_EN
#define USB_USB__ARB_INT_SR CYREG_USB_ARB_INT_SR
#define USB_USB__ARB_RW1_DR CYREG_USB_ARB_RW1_DR
#define USB_USB__ARB_RW1_RA CYREG_USB_ARB_RW1_RA
#define USB_USB__ARB_RW1_RA_MSB CYREG_USB_ARB_RW1_RA_MSB
#define USB_USB__ARB_RW1_WA CYREG_USB_ARB_RW1_WA
#define USB_USB__ARB_RW1_WA_MSB CYREG_USB_ARB_RW1_WA_MSB
#define USB_USB__ARB_RW2_DR CYREG_USB_ARB_RW2_DR
#define USB_USB__ARB_RW2_RA CYREG_USB_ARB_RW2_RA
#define USB_USB__ARB_RW2_RA_MSB CYREG_USB_ARB_RW2_RA_MSB
#define USB_USB__ARB_RW2_WA CYREG_USB_ARB_RW2_WA
#define USB_USB__ARB_RW2_WA_MSB CYREG_USB_ARB_RW2_WA_MSB
#define USB_USB__ARB_RW3_DR CYREG_USB_ARB_RW3_DR
#define USB_USB__ARB_RW3_RA CYREG_USB_ARB_RW3_RA
#define USB_USB__ARB_RW3_RA_MSB CYREG_USB_ARB_RW3_RA_MSB
#define USB_USB__ARB_RW3_WA CYREG_USB_ARB_RW3_WA
#define USB_USB__ARB_RW3_WA_MSB CYREG_USB_ARB_RW3_WA_MSB
#define USB_USB__ARB_RW4_DR CYREG_USB_ARB_RW4_DR
#define USB_USB__ARB_RW4_RA CYREG_USB_ARB_RW4_RA
#define USB_USB__ARB_RW4_RA_MSB CYREG_USB_ARB_RW4_RA_MSB
#define USB_USB__ARB_RW4_WA CYREG_USB_ARB_RW4_WA
#define USB_USB__ARB_RW4_WA_MSB CYREG_USB_ARB_RW4_WA_MSB
#define USB_USB__ARB_RW5_DR CYREG_USB_ARB_RW5_DR
#define USB_USB__ARB_RW5_RA CYREG_USB_ARB_RW5_RA
#define USB_USB__ARB_RW5_RA_MSB CYREG_USB_ARB_RW5_RA_MSB
#define USB_USB__ARB_RW5_WA CYREG_USB_ARB_RW5_WA
#define USB_USB__ARB_RW5_WA_MSB CYREG_USB_ARB_RW5_WA_MSB
#define USB_USB__ARB_RW6_DR CYREG_USB_ARB_RW6_DR
#define USB_USB__ARB_RW6_RA CYREG_USB_ARB_RW6_RA
#define USB_USB__ARB_RW6_RA_MSB CYREG_USB_ARB_RW6_RA_MSB
#define USB_USB__ARB_RW6_WA CYREG_USB_ARB_RW6_WA
#define USB_USB__ARB_RW6_WA_MSB CYREG_USB_ARB_RW6_WA_MSB
#define USB_USB__ARB_RW7_DR CYREG_USB_ARB_RW7_DR
#define USB_USB__ARB_RW7_RA CYREG_USB_ARB_RW7_RA
#define USB_USB__ARB_RW7_RA_MSB CYREG_USB_ARB_RW7_RA_MSB
#define USB_USB__ARB_RW7_WA CYREG_USB_ARB_RW7_WA
#define USB_USB__ARB_RW7_WA_MSB CYREG_USB_ARB_RW7_WA_MSB
#define USB_USB__ARB_RW8_DR CYREG_USB_ARB_RW8_DR
#define USB_USB__ARB_RW8_RA CYREG_USB_ARB_RW8_RA
#define USB_USB__ARB_RW8_RA_MSB CYREG_USB_ARB_RW8_RA_MSB
#define USB_USB__ARB_RW8_WA CYREG_USB_ARB_RW8_WA
#define USB_USB__ARB_RW8_WA_MSB CYREG_USB_ARB_RW8_WA_MSB
#define USB_USB__BUF_SIZE CYREG_USB_BUF_SIZE
#define USB_USB__BUS_RST_CNT CYREG_USB_BUS_RST_CNT
#define USB_USB__CR0 CYREG_USB_CR0
#define USB_USB__CR1 CYREG_USB_CR1
#define USB_USB__CWA CYREG_USB_CWA
#define USB_USB__CWA_MSB CYREG_USB_CWA_MSB
#define USB_USB__DMA_THRES CYREG_USB_DMA_THRES
#define USB_USB__DMA_THRES_MSB CYREG_USB_DMA_THRES_MSB
#define USB_USB__DYN_RECONFIG CYREG_USB_DYN_RECONFIG
#define USB_USB__EP_ACTIVE CYREG_USB_EP_ACTIVE
#define USB_USB__EP_TYPE CYREG_USB_EP_TYPE
#define USB_USB__EP0_CNT CYREG_USB_EP0_CNT
#define USB_USB__EP0_CR CYREG_USB_EP0_CR
#define USB_USB__EP0_DR0 CYREG_USB_EP0_DR0
#define USB_USB__EP0_DR1 CYREG_USB_EP0_DR1
#define USB_USB__EP0_DR2 CYREG_USB_EP0_DR2
#define USB_USB__EP0_DR3 CYREG_USB_EP0_DR3
#define USB_USB__EP0_DR4 CYREG_USB_EP0_DR4
#define USB_USB__EP0_DR5 CYREG_USB_EP0_DR5
#define USB_USB__EP0_DR6 CYREG_USB_EP0_DR6
#define USB_USB__EP0_DR7 CYREG_USB_EP0_DR7
#define USB_USB__MEM_DATA CYREG_USB_MEM_DATA_MBASE
#define USB_USB__PM_ACT_CFG CYREG_PM_ACT_CFG5
#define USB_USB__PM_ACT_MSK 0x01u
#define USB_USB__PM_STBY_CFG CYREG_PM_STBY_CFG5
#define USB_USB__PM_STBY_MSK 0x01u
#define USB_USB__SIE_EP_INT_EN CYREG_USB_SIE_EP_INT_EN
#define USB_USB__SIE_EP_INT_SR CYREG_USB_SIE_EP_INT_SR
#define USB_USB__SIE_EP1_CNT0 CYREG_USB_SIE_EP1_CNT0
#define USB_USB__SIE_EP1_CNT1 CYREG_USB_SIE_EP1_CNT1
#define USB_USB__SIE_EP1_CR0 CYREG_USB_SIE_EP1_CR0
#define USB_USB__SIE_EP2_CNT0 CYREG_USB_SIE_EP2_CNT0
#define USB_USB__SIE_EP2_CNT1 CYREG_USB_SIE_EP2_CNT1
#define USB_USB__SIE_EP2_CR0 CYREG_USB_SIE_EP2_CR0
#define USB_USB__SIE_EP3_CNT0 CYREG_USB_SIE_EP3_CNT0
#define USB_USB__SIE_EP3_CNT1 CYREG_USB_SIE_EP3_CNT1
#define USB_USB__SIE_EP3_CR0 CYREG_USB_SIE_EP3_CR0
#define USB_USB__SIE_EP4_CNT0 CYREG_USB_SIE_EP4_CNT0
#define USB_USB__SIE_EP4_CNT1 CYREG_USB_SIE_EP4_CNT1
#define USB_USB__SIE_EP4_CR0 CYREG_USB_SIE_EP4_CR0
#define USB_USB__SIE_EP5_CNT0 CYREG_USB_SIE_EP5_CNT0
#define USB_USB__SIE_EP5_CNT1 CYREG_USB_SIE_EP5_CNT1
#define USB_USB__SIE_EP5_CR0 CYREG_USB_SIE_EP5_CR0
#define USB_USB__SIE_EP6_CNT0 CYREG_USB_SIE_EP6_CNT0
#define USB_USB__SIE_EP6_CNT1 CYREG_USB_SIE_EP6_CNT1
#define USB_USB__SIE_EP6_CR0 CYREG_USB_SIE_EP6_CR0
#define USB_USB__SIE_EP7_CNT0 CYREG_USB_SIE_EP7_CNT0
#define USB_USB__SIE_EP7_CNT1 CYREG_USB_SIE_EP7_CNT1
#define USB_USB__SIE_EP7_CR0 CYREG_USB_SIE_EP7_CR0
#define USB_USB__SIE_EP8_CNT0 CYREG_USB_SIE_EP8_CNT0
#define USB_USB__SIE_EP8_CNT1 CYREG_USB_SIE_EP8_CNT1
#define USB_USB__SIE_EP8_CR0 CYREG_USB_SIE_EP8_CR0
#define USB_USB__SOF0 CYREG_USB_SOF0
#define USB_USB__SOF1 CYREG_USB_SOF1
#define USB_USB__USB_CLK_EN CYREG_USB_USB_CLK_EN
#define USB_USB__USBIO_CR0 CYREG_USB_USBIO_CR0
#define USB_USB__USBIO_CR1 CYREG_USB_USBIO_CR1

/* Port0Reg */
#define Port0Reg_Sync_ctrl_reg__0__MASK 0x01u
#define Port0Reg_Sync_ctrl_reg__0__POS 0
#define Port0Reg_Sync_ctrl_reg__1__MASK 0x02u
#define Port0Reg_Sync_ctrl_reg__1__POS 1
#define Port0Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB04_05_ACTL
#define Port0Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB04_05_CTL
#define Port0Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB04_05_CTL
#define Port0Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB04_05_CTL
#define Port0Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB04_05_CTL
#define Port0Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B1_UDB04_05_MSK
#define Port0Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB04_05_MSK
#define Port0Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB04_05_MSK
#define Port0Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB04_05_MSK
#define Port0Reg_Sync_ctrl_reg__2__MASK 0x04u
#define Port0Reg_Sync_ctrl_reg__2__POS 2
#define Port0Reg_Sync_ctrl_reg__3__MASK 0x08u
#define Port0Reg_Sync_ctrl_reg__3__POS 3
#define Port0Reg_Sync_ctrl_reg__4__MASK 0x10u
#define Port0Reg_Sync_ctrl_reg__4__POS 4
#define Port0Reg_Sync_ctrl_reg__5__MASK 0x20u
#define Port0Reg_Sync_ctrl_reg__5__POS 5
#define Port0Reg_Sync_ctrl_reg__6__MASK 0x40u
#define Port0Reg_Sync_ctrl_reg__6__POS 6
#define Port0Reg_Sync_ctrl_reg__7__MASK 0x80u
#define Port0Reg_Sync_ctrl_reg__7__POS 7
#define Port0Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B1_UDB04_ACTL
#define Port0Reg_Sync_ctrl_reg__CONTROL_REG CYREG_B1_UDB04_CTL
#define Port0Reg_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B1_UDB04_ST_CTL
#define Port0Reg_Sync_ctrl_reg__COUNT_REG CYREG_B1_UDB04_CTL
#define Port0Reg_Sync_ctrl_reg__COUNT_ST_REG CYREG_B1_UDB04_ST_CTL
#define Port0Reg_Sync_ctrl_reg__MASK 0xFFu
#define Port0Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define Port0Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB04_MSK_ACTL
#define Port0Reg_Sync_ctrl_reg__PERIOD_REG CYREG_B1_UDB04_MSK

/* Port2Reg */
#define Port2Reg_Sync_ctrl_reg__0__MASK 0x01u
#define Port2Reg_Sync_ctrl_reg__0__POS 0
#define Port2Reg_Sync_ctrl_reg__1__MASK 0x02u
#define Port2Reg_Sync_ctrl_reg__1__POS 1
#define Port2Reg_Sync_ctrl_reg__2__MASK 0x04u
#define Port2Reg_Sync_ctrl_reg__2__POS 2
#define Port2Reg_Sync_ctrl_reg__3__MASK 0x08u
#define Port2Reg_Sync_ctrl_reg__3__POS 3
#define Port2Reg_Sync_ctrl_reg__4__MASK 0x10u
#define Port2Reg_Sync_ctrl_reg__4__POS 4
#define Port2Reg_Sync_ctrl_reg__5__MASK 0x20u
#define Port2Reg_Sync_ctrl_reg__5__POS 5
#define Port2Reg_Sync_ctrl_reg__6__MASK 0x40u
#define Port2Reg_Sync_ctrl_reg__6__POS 6
#define Port2Reg_Sync_ctrl_reg__7__MASK 0x80u
#define Port2Reg_Sync_ctrl_reg__7__POS 7
#define Port2Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B1_UDB11_ACTL
#define Port2Reg_Sync_ctrl_reg__CONTROL_REG CYREG_B1_UDB11_CTL
#define Port2Reg_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B1_UDB11_ST_CTL
#define Port2Reg_Sync_ctrl_reg__COUNT_REG CYREG_B1_UDB11_CTL
#define Port2Reg_Sync_ctrl_reg__COUNT_ST_REG CYREG_B1_UDB11_ST_CTL
#define Port2Reg_Sync_ctrl_reg__MASK 0xFFu
#define Port2Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define Port2Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB11_MSK_ACTL
#define Port2Reg_Sync_ctrl_reg__PERIOD_REG CYREG_B1_UDB11_MSK

/* Port3Reg */
#define Port3Reg_Sync_ctrl_reg__0__MASK 0x01u
#define Port3Reg_Sync_ctrl_reg__0__POS 0
#define Port3Reg_Sync_ctrl_reg__1__MASK 0x02u
#define Port3Reg_Sync_ctrl_reg__1__POS 1
#define Port3Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB06_07_ACTL
#define Port3Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB06_07_CTL
#define Port3Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB06_07_CTL
#define Port3Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB06_07_CTL
#define Port3Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB06_07_CTL
#define Port3Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B1_UDB06_07_MSK
#define Port3Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB06_07_MSK
#define Port3Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB06_07_MSK
#define Port3Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB06_07_MSK
#define Port3Reg_Sync_ctrl_reg__2__MASK 0x04u
#define Port3Reg_Sync_ctrl_reg__2__POS 2
#define Port3Reg_Sync_ctrl_reg__3__MASK 0x08u
#define Port3Reg_Sync_ctrl_reg__3__POS 3
#define Port3Reg_Sync_ctrl_reg__4__MASK 0x10u
#define Port3Reg_Sync_ctrl_reg__4__POS 4
#define Port3Reg_Sync_ctrl_reg__5__MASK 0x20u
#define Port3Reg_Sync_ctrl_reg__5__POS 5
#define Port3Reg_Sync_ctrl_reg__6__MASK 0x40u
#define Port3Reg_Sync_ctrl_reg__6__POS 6
#define Port3Reg_Sync_ctrl_reg__7__MASK 0x80u
#define Port3Reg_Sync_ctrl_reg__7__POS 7
#define Port3Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B1_UDB06_ACTL
#define Port3Reg_Sync_ctrl_reg__CONTROL_REG CYREG_B1_UDB06_CTL
#define Port3Reg_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B1_UDB06_ST_CTL
#define Port3Reg_Sync_ctrl_reg__COUNT_REG CYREG_B1_UDB06_CTL
#define Port3Reg_Sync_ctrl_reg__COUNT_ST_REG CYREG_B1_UDB06_ST_CTL
#define Port3Reg_Sync_ctrl_reg__MASK 0xFFu
#define Port3Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB06_MSK_ACTL
#define Port3Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB06_MSK_ACTL
#define Port3Reg_Sync_ctrl_reg__PERIOD_REG CYREG_B1_UDB06_MSK

/* Port4Reg */
#define Port4Reg_Sync_ctrl_reg__0__MASK 0x01u
#define Port4Reg_Sync_ctrl_reg__0__POS 0
#define Port4Reg_Sync_ctrl_reg__1__MASK 0x02u
#define Port4Reg_Sync_ctrl_reg__1__POS 1
#define Port4Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB08_09_ACTL
#define Port4Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB08_09_CTL
#define Port4Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB08_09_CTL
#define Port4Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB08_09_CTL
#define Port4Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB08_09_CTL
#define Port4Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB08_09_MSK
#define Port4Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB08_09_MSK
#define Port4Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB08_09_MSK
#define Port4Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB08_09_MSK
#define Port4Reg_Sync_ctrl_reg__2__MASK 0x04u
#define Port4Reg_Sync_ctrl_reg__2__POS 2
#define Port4Reg_Sync_ctrl_reg__3__MASK 0x08u
#define Port4Reg_Sync_ctrl_reg__3__POS 3
#define Port4Reg_Sync_ctrl_reg__4__MASK 0x10u
#define Port4Reg_Sync_ctrl_reg__4__POS 4
#define Port4Reg_Sync_ctrl_reg__5__MASK 0x20u
#define Port4Reg_Sync_ctrl_reg__5__POS 5
#define Port4Reg_Sync_ctrl_reg__6__MASK 0x40u
#define Port4Reg_Sync_ctrl_reg__6__POS 6
#define Port4Reg_Sync_ctrl_reg__7__MASK 0x80u
#define Port4Reg_Sync_ctrl_reg__7__POS 7
#define Port4Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB08_ACTL
#define Port4Reg_Sync_ctrl_reg__CONTROL_REG CYREG_B0_UDB08_CTL
#define Port4Reg_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB08_ST_CTL
#define Port4Reg_Sync_ctrl_reg__COUNT_REG CYREG_B0_UDB08_CTL
#define Port4Reg_Sync_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB08_ST_CTL
#define Port4Reg_Sync_ctrl_reg__MASK 0xFFu
#define Port4Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB08_MSK_ACTL
#define Port4Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB08_MSK_ACTL
#define Port4Reg_Sync_ctrl_reg__PERIOD_REG CYREG_B0_UDB08_MSK

/* Port5Reg */
#define Port5Reg_Sync_ctrl_reg__0__MASK 0x01u
#define Port5Reg_Sync_ctrl_reg__0__POS 0
#define Port5Reg_Sync_ctrl_reg__1__MASK 0x02u
#define Port5Reg_Sync_ctrl_reg__1__POS 1
#define Port5Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B0_UDB09_10_ACTL
#define Port5Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B0_UDB09_10_CTL
#define Port5Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B0_UDB09_10_CTL
#define Port5Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B0_UDB09_10_CTL
#define Port5Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B0_UDB09_10_CTL
#define Port5Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B0_UDB09_10_MSK
#define Port5Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B0_UDB09_10_MSK
#define Port5Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B0_UDB09_10_MSK
#define Port5Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B0_UDB09_10_MSK
#define Port5Reg_Sync_ctrl_reg__2__MASK 0x04u
#define Port5Reg_Sync_ctrl_reg__2__POS 2
#define Port5Reg_Sync_ctrl_reg__3__MASK 0x08u
#define Port5Reg_Sync_ctrl_reg__3__POS 3
#define Port5Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B0_UDB09_ACTL
#define Port5Reg_Sync_ctrl_reg__CONTROL_REG CYREG_B0_UDB09_CTL
#define Port5Reg_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B0_UDB09_ST_CTL
#define Port5Reg_Sync_ctrl_reg__COUNT_REG CYREG_B0_UDB09_CTL
#define Port5Reg_Sync_ctrl_reg__COUNT_ST_REG CYREG_B0_UDB09_ST_CTL
#define Port5Reg_Sync_ctrl_reg__MASK 0x0Fu
#define Port5Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL
#define Port5Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B0_UDB09_MSK_ACTL
#define Port5Reg_Sync_ctrl_reg__PERIOD_REG CYREG_B0_UDB09_MSK

/* Port6Reg */
#define Port6Reg_Sync_ctrl_reg__0__MASK 0x01u
#define Port6Reg_Sync_ctrl_reg__0__POS 0
#define Port6Reg_Sync_ctrl_reg__1__MASK 0x02u
#define Port6Reg_Sync_ctrl_reg__1__POS 1
#define Port6Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB10_11_ACTL
#define Port6Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB10_11_CTL
#define Port6Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB10_11_CTL
#define Port6Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB10_11_CTL
#define Port6Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB10_11_CTL
#define Port6Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B1_UDB10_11_MSK
#define Port6Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB10_11_MSK
#define Port6Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB10_11_MSK
#define Port6Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB10_11_MSK
#define Port6Reg_Sync_ctrl_reg__2__MASK 0x04u
#define Port6Reg_Sync_ctrl_reg__2__POS 2
#define Port6Reg_Sync_ctrl_reg__3__MASK 0x08u
#define Port6Reg_Sync_ctrl_reg__3__POS 3
#define Port6Reg_Sync_ctrl_reg__4__MASK 0x10u
#define Port6Reg_Sync_ctrl_reg__4__POS 4
#define Port6Reg_Sync_ctrl_reg__5__MASK 0x20u
#define Port6Reg_Sync_ctrl_reg__5__POS 5
#define Port6Reg_Sync_ctrl_reg__6__MASK 0x40u
#define Port6Reg_Sync_ctrl_reg__6__POS 6
#define Port6Reg_Sync_ctrl_reg__7__MASK 0x80u
#define Port6Reg_Sync_ctrl_reg__7__POS 7
#define Port6Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B1_UDB10_ACTL
#define Port6Reg_Sync_ctrl_reg__CONTROL_REG CYREG_B1_UDB10_CTL
#define Port6Reg_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B1_UDB10_ST_CTL
#define Port6Reg_Sync_ctrl_reg__COUNT_REG CYREG_B1_UDB10_CTL
#define Port6Reg_Sync_ctrl_reg__COUNT_ST_REG CYREG_B1_UDB10_ST_CTL
#define Port6Reg_Sync_ctrl_reg__MASK 0xFFu
#define Port6Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB10_MSK_ACTL
#define Port6Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB10_MSK_ACTL
#define Port6Reg_Sync_ctrl_reg__PERIOD_REG CYREG_B1_UDB10_MSK

/* SysTimer_TimerHW */
#define SysTimer_TimerHW__CAP0 CYREG_TMR0_CAP0
#define SysTimer_TimerHW__CAP1 CYREG_TMR0_CAP1
#define SysTimer_TimerHW__CFG0 CYREG_TMR0_CFG0
#define SysTimer_TimerHW__CFG1 CYREG_TMR0_CFG1
#define SysTimer_TimerHW__CFG2 CYREG_TMR0_CFG2
#define SysTimer_TimerHW__CNT_CMP0 CYREG_TMR0_CNT_CMP0
#define SysTimer_TimerHW__CNT_CMP1 CYREG_TMR0_CNT_CMP1
#define SysTimer_TimerHW__PER0 CYREG_TMR0_PER0
#define SysTimer_TimerHW__PER1 CYREG_TMR0_PER1
#define SysTimer_TimerHW__PM_ACT_CFG CYREG_PM_ACT_CFG3
#define SysTimer_TimerHW__PM_ACT_MSK 0x01u
#define SysTimer_TimerHW__PM_STBY_CFG CYREG_PM_STBY_CFG3
#define SysTimer_TimerHW__PM_STBY_MSK 0x01u
#define SysTimer_TimerHW__RT0 CYREG_TMR0_RT0
#define SysTimer_TimerHW__RT1 CYREG_TMR0_RT1
#define SysTimer_TimerHW__SR0 CYREG_TMR0_SR0

/* Port0Pins */
#define Port0Pins__0__MASK 0x01u
#define Port0Pins__0__PC CYREG_PRT0_PC0
#define Port0Pins__0__PORT 0u
#define Port0Pins__0__SHIFT 0
#define Port0Pins__1__MASK 0x02u
#define Port0Pins__1__PC CYREG_PRT0_PC1
#define Port0Pins__1__PORT 0u
#define Port0Pins__1__SHIFT 1
#define Port0Pins__2__MASK 0x04u
#define Port0Pins__2__PC CYREG_PRT0_PC2
#define Port0Pins__2__PORT 0u
#define Port0Pins__2__SHIFT 2
#define Port0Pins__3__MASK 0x08u
#define Port0Pins__3__PC CYREG_PRT0_PC3
#define Port0Pins__3__PORT 0u
#define Port0Pins__3__SHIFT 3
#define Port0Pins__4__MASK 0x10u
#define Port0Pins__4__PC CYREG_PRT0_PC4
#define Port0Pins__4__PORT 0u
#define Port0Pins__4__SHIFT 4
#define Port0Pins__5__MASK 0x20u
#define Port0Pins__5__PC CYREG_PRT0_PC5
#define Port0Pins__5__PORT 0u
#define Port0Pins__5__SHIFT 5
#define Port0Pins__6__MASK 0x40u
#define Port0Pins__6__PC CYREG_PRT0_PC6
#define Port0Pins__6__PORT 0u
#define Port0Pins__6__SHIFT 6
#define Port0Pins__7__MASK 0x80u
#define Port0Pins__7__PC CYREG_PRT0_PC7
#define Port0Pins__7__PORT 0u
#define Port0Pins__7__SHIFT 7
#define Port0Pins__AG CYREG_PRT0_AG
#define Port0Pins__AMUX CYREG_PRT0_AMUX
#define Port0Pins__BIE CYREG_PRT0_BIE
#define Port0Pins__BIT_MASK CYREG_PRT0_BIT_MASK
#define Port0Pins__BYP CYREG_PRT0_BYP
#define Port0Pins__CTL CYREG_PRT0_CTL
#define Port0Pins__DM0 CYREG_PRT0_DM0
#define Port0Pins__DM1 CYREG_PRT0_DM1
#define Port0Pins__DM2 CYREG_PRT0_DM2
#define Port0Pins__DR CYREG_PRT0_DR
#define Port0Pins__INP_DIS CYREG_PRT0_INP_DIS
#define Port0Pins__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Port0Pins__LCD_EN CYREG_PRT0_LCD_EN
#define Port0Pins__MASK 0xFFu
#define Port0Pins__PORT 0u
#define Port0Pins__PRT CYREG_PRT0_PRT
#define Port0Pins__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Port0Pins__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Port0Pins__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Port0Pins__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Port0Pins__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Port0Pins__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Port0Pins__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Port0Pins__PS CYREG_PRT0_PS
#define Port0Pins__SHIFT 0
#define Port0Pins__SLW CYREG_PRT0_SLW

/* Port12Reg */
#define Port12Reg_Sync_ctrl_reg__0__MASK 0x01u
#define Port12Reg_Sync_ctrl_reg__0__POS 0
#define Port12Reg_Sync_ctrl_reg__1__MASK 0x02u
#define Port12Reg_Sync_ctrl_reg__1__POS 1
#define Port12Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB05_06_ACTL
#define Port12Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB05_06_CTL
#define Port12Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB05_06_CTL
#define Port12Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB05_06_CTL
#define Port12Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB05_06_CTL
#define Port12Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B1_UDB05_06_MSK
#define Port12Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB05_06_MSK
#define Port12Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB05_06_MSK
#define Port12Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB05_06_MSK
#define Port12Reg_Sync_ctrl_reg__2__MASK 0x04u
#define Port12Reg_Sync_ctrl_reg__2__POS 2
#define Port12Reg_Sync_ctrl_reg__3__MASK 0x08u
#define Port12Reg_Sync_ctrl_reg__3__POS 3
#define Port12Reg_Sync_ctrl_reg__4__MASK 0x10u
#define Port12Reg_Sync_ctrl_reg__4__POS 4
#define Port12Reg_Sync_ctrl_reg__5__MASK 0x20u
#define Port12Reg_Sync_ctrl_reg__5__POS 5
#define Port12Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B1_UDB05_ACTL
#define Port12Reg_Sync_ctrl_reg__CONTROL_REG CYREG_B1_UDB05_CTL
#define Port12Reg_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B1_UDB05_ST_CTL
#define Port12Reg_Sync_ctrl_reg__COUNT_REG CYREG_B1_UDB05_CTL
#define Port12Reg_Sync_ctrl_reg__COUNT_ST_REG CYREG_B1_UDB05_ST_CTL
#define Port12Reg_Sync_ctrl_reg__MASK 0x3Fu
#define Port12Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define Port12Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB05_MSK_ACTL
#define Port12Reg_Sync_ctrl_reg__PERIOD_REG CYREG_B1_UDB05_MSK

/* Port15Reg */
#define Port15Reg_Sync_ctrl_reg__0__MASK 0x01u
#define Port15Reg_Sync_ctrl_reg__0__POS 0
#define Port15Reg_Sync_ctrl_reg__1__MASK 0x02u
#define Port15Reg_Sync_ctrl_reg__1__POS 1
#define Port15Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG CYREG_B1_UDB07_08_ACTL
#define Port15Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define Port15Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG CYREG_B1_UDB07_08_CTL
#define Port15Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG CYREG_B1_UDB07_08_CTL
#define Port15Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG CYREG_B1_UDB07_08_CTL
#define Port15Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG CYREG_B1_UDB07_08_MSK
#define Port15Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define Port15Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG CYREG_B1_UDB07_08_MSK
#define Port15Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG CYREG_B1_UDB07_08_MSK
#define Port15Reg_Sync_ctrl_reg__2__MASK 0x04u
#define Port15Reg_Sync_ctrl_reg__2__POS 2
#define Port15Reg_Sync_ctrl_reg__3__MASK 0x08u
#define Port15Reg_Sync_ctrl_reg__3__POS 3
#define Port15Reg_Sync_ctrl_reg__4__MASK 0x10u
#define Port15Reg_Sync_ctrl_reg__4__POS 4
#define Port15Reg_Sync_ctrl_reg__5__MASK 0x20u
#define Port15Reg_Sync_ctrl_reg__5__POS 5
#define Port15Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG CYREG_B1_UDB07_ACTL
#define Port15Reg_Sync_ctrl_reg__CONTROL_REG CYREG_B1_UDB07_CTL
#define Port15Reg_Sync_ctrl_reg__CONTROL_ST_REG CYREG_B1_UDB07_ST_CTL
#define Port15Reg_Sync_ctrl_reg__COUNT_REG CYREG_B1_UDB07_CTL
#define Port15Reg_Sync_ctrl_reg__COUNT_ST_REG CYREG_B1_UDB07_ST_CTL
#define Port15Reg_Sync_ctrl_reg__MASK 0x3Fu
#define Port15Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define Port15Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG CYREG_B1_UDB07_MSK_ACTL
#define Port15Reg_Sync_ctrl_reg__PERIOD_REG CYREG_B1_UDB07_MSK

/* Port2Pins */
#define Port2Pins__0__MASK 0x01u
#define Port2Pins__0__PC CYREG_PRT2_PC0
#define Port2Pins__0__PORT 2u
#define Port2Pins__0__SHIFT 0
#define Port2Pins__1__MASK 0x02u
#define Port2Pins__1__PC CYREG_PRT2_PC1
#define Port2Pins__1__PORT 2u
#define Port2Pins__1__SHIFT 1
#define Port2Pins__2__MASK 0x04u
#define Port2Pins__2__PC CYREG_PRT2_PC2
#define Port2Pins__2__PORT 2u
#define Port2Pins__2__SHIFT 2
#define Port2Pins__3__MASK 0x08u
#define Port2Pins__3__PC CYREG_PRT2_PC3
#define Port2Pins__3__PORT 2u
#define Port2Pins__3__SHIFT 3
#define Port2Pins__4__MASK 0x10u
#define Port2Pins__4__PC CYREG_PRT2_PC4
#define Port2Pins__4__PORT 2u
#define Port2Pins__4__SHIFT 4
#define Port2Pins__5__MASK 0x20u
#define Port2Pins__5__PC CYREG_PRT2_PC5
#define Port2Pins__5__PORT 2u
#define Port2Pins__5__SHIFT 5
#define Port2Pins__6__MASK 0x40u
#define Port2Pins__6__PC CYREG_PRT2_PC6
#define Port2Pins__6__PORT 2u
#define Port2Pins__6__SHIFT 6
#define Port2Pins__7__MASK 0x80u
#define Port2Pins__7__PC CYREG_PRT2_PC7
#define Port2Pins__7__PORT 2u
#define Port2Pins__7__SHIFT 7
#define Port2Pins__AG CYREG_PRT2_AG
#define Port2Pins__AMUX CYREG_PRT2_AMUX
#define Port2Pins__BIE CYREG_PRT2_BIE
#define Port2Pins__BIT_MASK CYREG_PRT2_BIT_MASK
#define Port2Pins__BYP CYREG_PRT2_BYP
#define Port2Pins__CTL CYREG_PRT2_CTL
#define Port2Pins__DM0 CYREG_PRT2_DM0
#define Port2Pins__DM1 CYREG_PRT2_DM1
#define Port2Pins__DM2 CYREG_PRT2_DM2
#define Port2Pins__DR CYREG_PRT2_DR
#define Port2Pins__INP_DIS CYREG_PRT2_INP_DIS
#define Port2Pins__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define Port2Pins__LCD_EN CYREG_PRT2_LCD_EN
#define Port2Pins__MASK 0xFFu
#define Port2Pins__PORT 2u
#define Port2Pins__PRT CYREG_PRT2_PRT
#define Port2Pins__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define Port2Pins__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define Port2Pins__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define Port2Pins__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define Port2Pins__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define Port2Pins__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define Port2Pins__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define Port2Pins__PS CYREG_PRT2_PS
#define Port2Pins__SHIFT 0
#define Port2Pins__SLW CYREG_PRT2_SLW

/* Port3Pins */
#define Port3Pins__0__MASK 0x01u
#define Port3Pins__0__PC CYREG_PRT3_PC0
#define Port3Pins__0__PORT 3u
#define Port3Pins__0__SHIFT 0
#define Port3Pins__1__MASK 0x02u
#define Port3Pins__1__PC CYREG_PRT3_PC1
#define Port3Pins__1__PORT 3u
#define Port3Pins__1__SHIFT 1
#define Port3Pins__2__MASK 0x04u
#define Port3Pins__2__PC CYREG_PRT3_PC2
#define Port3Pins__2__PORT 3u
#define Port3Pins__2__SHIFT 2
#define Port3Pins__3__MASK 0x08u
#define Port3Pins__3__PC CYREG_PRT3_PC3
#define Port3Pins__3__PORT 3u
#define Port3Pins__3__SHIFT 3
#define Port3Pins__4__MASK 0x10u
#define Port3Pins__4__PC CYREG_PRT3_PC4
#define Port3Pins__4__PORT 3u
#define Port3Pins__4__SHIFT 4
#define Port3Pins__5__MASK 0x20u
#define Port3Pins__5__PC CYREG_PRT3_PC5
#define Port3Pins__5__PORT 3u
#define Port3Pins__5__SHIFT 5
#define Port3Pins__6__MASK 0x40u
#define Port3Pins__6__PC CYREG_PRT3_PC6
#define Port3Pins__6__PORT 3u
#define Port3Pins__6__SHIFT 6
#define Port3Pins__7__MASK 0x80u
#define Port3Pins__7__PC CYREG_PRT3_PC7
#define Port3Pins__7__PORT 3u
#define Port3Pins__7__SHIFT 7
#define Port3Pins__AG CYREG_PRT3_AG
#define Port3Pins__AMUX CYREG_PRT3_AMUX
#define Port3Pins__BIE CYREG_PRT3_BIE
#define Port3Pins__BIT_MASK CYREG_PRT3_BIT_MASK
#define Port3Pins__BYP CYREG_PRT3_BYP
#define Port3Pins__CTL CYREG_PRT3_CTL
#define Port3Pins__DM0 CYREG_PRT3_DM0
#define Port3Pins__DM1 CYREG_PRT3_DM1
#define Port3Pins__DM2 CYREG_PRT3_DM2
#define Port3Pins__DR CYREG_PRT3_DR
#define Port3Pins__INP_DIS CYREG_PRT3_INP_DIS
#define Port3Pins__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Port3Pins__LCD_EN CYREG_PRT3_LCD_EN
#define Port3Pins__MASK 0xFFu
#define Port3Pins__PORT 3u
#define Port3Pins__PRT CYREG_PRT3_PRT
#define Port3Pins__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Port3Pins__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Port3Pins__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Port3Pins__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Port3Pins__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Port3Pins__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Port3Pins__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Port3Pins__PS CYREG_PRT3_PS
#define Port3Pins__SHIFT 0
#define Port3Pins__SLW CYREG_PRT3_SLW

/* Port4Pins */
#define Port4Pins__0__MASK 0x01u
#define Port4Pins__0__PC CYREG_PRT4_PC0
#define Port4Pins__0__PORT 4u
#define Port4Pins__0__SHIFT 0
#define Port4Pins__1__MASK 0x02u
#define Port4Pins__1__PC CYREG_PRT4_PC1
#define Port4Pins__1__PORT 4u
#define Port4Pins__1__SHIFT 1
#define Port4Pins__2__MASK 0x04u
#define Port4Pins__2__PC CYREG_PRT4_PC2
#define Port4Pins__2__PORT 4u
#define Port4Pins__2__SHIFT 2
#define Port4Pins__3__MASK 0x08u
#define Port4Pins__3__PC CYREG_PRT4_PC3
#define Port4Pins__3__PORT 4u
#define Port4Pins__3__SHIFT 3
#define Port4Pins__4__MASK 0x10u
#define Port4Pins__4__PC CYREG_PRT4_PC4
#define Port4Pins__4__PORT 4u
#define Port4Pins__4__SHIFT 4
#define Port4Pins__5__MASK 0x20u
#define Port4Pins__5__PC CYREG_PRT4_PC5
#define Port4Pins__5__PORT 4u
#define Port4Pins__5__SHIFT 5
#define Port4Pins__6__MASK 0x40u
#define Port4Pins__6__PC CYREG_PRT4_PC6
#define Port4Pins__6__PORT 4u
#define Port4Pins__6__SHIFT 6
#define Port4Pins__7__MASK 0x80u
#define Port4Pins__7__PC CYREG_PRT4_PC7
#define Port4Pins__7__PORT 4u
#define Port4Pins__7__SHIFT 7
#define Port4Pins__AG CYREG_PRT4_AG
#define Port4Pins__AMUX CYREG_PRT4_AMUX
#define Port4Pins__BIE CYREG_PRT4_BIE
#define Port4Pins__BIT_MASK CYREG_PRT4_BIT_MASK
#define Port4Pins__BYP CYREG_PRT4_BYP
#define Port4Pins__CTL CYREG_PRT4_CTL
#define Port4Pins__DM0 CYREG_PRT4_DM0
#define Port4Pins__DM1 CYREG_PRT4_DM1
#define Port4Pins__DM2 CYREG_PRT4_DM2
#define Port4Pins__DR CYREG_PRT4_DR
#define Port4Pins__INP_DIS CYREG_PRT4_INP_DIS
#define Port4Pins__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define Port4Pins__LCD_EN CYREG_PRT4_LCD_EN
#define Port4Pins__MASK 0xFFu
#define Port4Pins__PORT 4u
#define Port4Pins__PRT CYREG_PRT4_PRT
#define Port4Pins__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define Port4Pins__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define Port4Pins__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define Port4Pins__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define Port4Pins__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define Port4Pins__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define Port4Pins__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define Port4Pins__PS CYREG_PRT4_PS
#define Port4Pins__SHIFT 0
#define Port4Pins__SLW CYREG_PRT4_SLW

/* Port5Pins */
#define Port5Pins__0__MASK 0x10u
#define Port5Pins__0__PC CYREG_PRT5_PC4
#define Port5Pins__0__PORT 5u
#define Port5Pins__0__SHIFT 4
#define Port5Pins__1__MASK 0x20u
#define Port5Pins__1__PC CYREG_PRT5_PC5
#define Port5Pins__1__PORT 5u
#define Port5Pins__1__SHIFT 5
#define Port5Pins__2__MASK 0x40u
#define Port5Pins__2__PC CYREG_PRT5_PC6
#define Port5Pins__2__PORT 5u
#define Port5Pins__2__SHIFT 6
#define Port5Pins__3__MASK 0x80u
#define Port5Pins__3__PC CYREG_PRT5_PC7
#define Port5Pins__3__PORT 5u
#define Port5Pins__3__SHIFT 7
#define Port5Pins__AG CYREG_PRT5_AG
#define Port5Pins__AMUX CYREG_PRT5_AMUX
#define Port5Pins__BIE CYREG_PRT5_BIE
#define Port5Pins__BIT_MASK CYREG_PRT5_BIT_MASK
#define Port5Pins__BYP CYREG_PRT5_BYP
#define Port5Pins__CTL CYREG_PRT5_CTL
#define Port5Pins__DM0 CYREG_PRT5_DM0
#define Port5Pins__DM1 CYREG_PRT5_DM1
#define Port5Pins__DM2 CYREG_PRT5_DM2
#define Port5Pins__DR CYREG_PRT5_DR
#define Port5Pins__INP_DIS CYREG_PRT5_INP_DIS
#define Port5Pins__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define Port5Pins__LCD_EN CYREG_PRT5_LCD_EN
#define Port5Pins__MASK 0xF0u
#define Port5Pins__PORT 5u
#define Port5Pins__PRT CYREG_PRT5_PRT
#define Port5Pins__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define Port5Pins__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define Port5Pins__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define Port5Pins__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define Port5Pins__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define Port5Pins__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define Port5Pins__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define Port5Pins__PS CYREG_PRT5_PS
#define Port5Pins__SHIFT 4
#define Port5Pins__SLW CYREG_PRT5_SLW

/* Port6Pins */
#define Port6Pins__0__MASK 0x01u
#define Port6Pins__0__PC CYREG_PRT6_PC0
#define Port6Pins__0__PORT 6u
#define Port6Pins__0__SHIFT 0
#define Port6Pins__1__MASK 0x02u
#define Port6Pins__1__PC CYREG_PRT6_PC1
#define Port6Pins__1__PORT 6u
#define Port6Pins__1__SHIFT 1
#define Port6Pins__2__MASK 0x04u
#define Port6Pins__2__PC CYREG_PRT6_PC2
#define Port6Pins__2__PORT 6u
#define Port6Pins__2__SHIFT 2
#define Port6Pins__3__MASK 0x08u
#define Port6Pins__3__PC CYREG_PRT6_PC3
#define Port6Pins__3__PORT 6u
#define Port6Pins__3__SHIFT 3
#define Port6Pins__4__MASK 0x10u
#define Port6Pins__4__PC CYREG_PRT6_PC4
#define Port6Pins__4__PORT 6u
#define Port6Pins__4__SHIFT 4
#define Port6Pins__5__MASK 0x20u
#define Port6Pins__5__PC CYREG_PRT6_PC5
#define Port6Pins__5__PORT 6u
#define Port6Pins__5__SHIFT 5
#define Port6Pins__6__MASK 0x40u
#define Port6Pins__6__PC CYREG_PRT6_PC6
#define Port6Pins__6__PORT 6u
#define Port6Pins__6__SHIFT 6
#define Port6Pins__7__MASK 0x80u
#define Port6Pins__7__PC CYREG_PRT6_PC7
#define Port6Pins__7__PORT 6u
#define Port6Pins__7__SHIFT 7
#define Port6Pins__AG CYREG_PRT6_AG
#define Port6Pins__AMUX CYREG_PRT6_AMUX
#define Port6Pins__BIE CYREG_PRT6_BIE
#define Port6Pins__BIT_MASK CYREG_PRT6_BIT_MASK
#define Port6Pins__BYP CYREG_PRT6_BYP
#define Port6Pins__CTL CYREG_PRT6_CTL
#define Port6Pins__DM0 CYREG_PRT6_DM0
#define Port6Pins__DM1 CYREG_PRT6_DM1
#define Port6Pins__DM2 CYREG_PRT6_DM2
#define Port6Pins__DR CYREG_PRT6_DR
#define Port6Pins__INP_DIS CYREG_PRT6_INP_DIS
#define Port6Pins__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define Port6Pins__LCD_EN CYREG_PRT6_LCD_EN
#define Port6Pins__MASK 0xFFu
#define Port6Pins__PORT 6u
#define Port6Pins__PRT CYREG_PRT6_PRT
#define Port6Pins__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define Port6Pins__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define Port6Pins__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define Port6Pins__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define Port6Pins__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define Port6Pins__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define Port6Pins__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define Port6Pins__PS CYREG_PRT6_PS
#define Port6Pins__SHIFT 0
#define Port6Pins__SLW CYREG_PRT6_SLW

/* Port12Pins */
#define Port12Pins__0__MASK 0x01u
#define Port12Pins__0__PC CYREG_PRT12_PC0
#define Port12Pins__0__PORT 12u
#define Port12Pins__0__SHIFT 0
#define Port12Pins__1__MASK 0x02u
#define Port12Pins__1__PC CYREG_PRT12_PC1
#define Port12Pins__1__PORT 12u
#define Port12Pins__1__SHIFT 1
#define Port12Pins__2__MASK 0x04u
#define Port12Pins__2__PC CYREG_PRT12_PC2
#define Port12Pins__2__PORT 12u
#define Port12Pins__2__SHIFT 2
#define Port12Pins__3__MASK 0x08u
#define Port12Pins__3__PC CYREG_PRT12_PC3
#define Port12Pins__3__PORT 12u
#define Port12Pins__3__SHIFT 3
#define Port12Pins__4__MASK 0x10u
#define Port12Pins__4__PC CYREG_PRT12_PC4
#define Port12Pins__4__PORT 12u
#define Port12Pins__4__SHIFT 4
#define Port12Pins__5__MASK 0x20u
#define Port12Pins__5__PC CYREG_PRT12_PC5
#define Port12Pins__5__PORT 12u
#define Port12Pins__5__SHIFT 5
#define Port12Pins__AG CYREG_PRT12_AG
#define Port12Pins__BIE CYREG_PRT12_BIE
#define Port12Pins__BIT_MASK CYREG_PRT12_BIT_MASK
#define Port12Pins__BYP CYREG_PRT12_BYP
#define Port12Pins__DM0 CYREG_PRT12_DM0
#define Port12Pins__DM1 CYREG_PRT12_DM1
#define Port12Pins__DM2 CYREG_PRT12_DM2
#define Port12Pins__DR CYREG_PRT12_DR
#define Port12Pins__INP_DIS CYREG_PRT12_INP_DIS
#define Port12Pins__MASK 0x3Fu
#define Port12Pins__PORT 12u
#define Port12Pins__PRT CYREG_PRT12_PRT
#define Port12Pins__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define Port12Pins__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define Port12Pins__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define Port12Pins__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define Port12Pins__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define Port12Pins__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define Port12Pins__PS CYREG_PRT12_PS
#define Port12Pins__SHIFT 0
#define Port12Pins__SIO_CFG CYREG_PRT12_SIO_CFG
#define Port12Pins__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define Port12Pins__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define Port12Pins__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define Port12Pins__SLW CYREG_PRT12_SLW

/* Port15Pins */
#define Port15Pins__0__MASK 0x01u
#define Port15Pins__0__PC CYREG_IO_PC_PRT15_PC0
#define Port15Pins__0__PORT 15u
#define Port15Pins__0__SHIFT 0
#define Port15Pins__1__MASK 0x02u
#define Port15Pins__1__PC CYREG_IO_PC_PRT15_PC1
#define Port15Pins__1__PORT 15u
#define Port15Pins__1__SHIFT 1
#define Port15Pins__2__MASK 0x04u
#define Port15Pins__2__PC CYREG_IO_PC_PRT15_PC2
#define Port15Pins__2__PORT 15u
#define Port15Pins__2__SHIFT 2
#define Port15Pins__3__MASK 0x08u
#define Port15Pins__3__PC CYREG_IO_PC_PRT15_PC3
#define Port15Pins__3__PORT 15u
#define Port15Pins__3__SHIFT 3
#define Port15Pins__4__MASK 0x10u
#define Port15Pins__4__PC CYREG_IO_PC_PRT15_PC4
#define Port15Pins__4__PORT 15u
#define Port15Pins__4__SHIFT 4
#define Port15Pins__5__MASK 0x20u
#define Port15Pins__5__PC CYREG_IO_PC_PRT15_PC5
#define Port15Pins__5__PORT 15u
#define Port15Pins__5__SHIFT 5
#define Port15Pins__AG CYREG_PRT15_AG
#define Port15Pins__AMUX CYREG_PRT15_AMUX
#define Port15Pins__BIE CYREG_PRT15_BIE
#define Port15Pins__BIT_MASK CYREG_PRT15_BIT_MASK
#define Port15Pins__BYP CYREG_PRT15_BYP
#define Port15Pins__CTL CYREG_PRT15_CTL
#define Port15Pins__DM0 CYREG_PRT15_DM0
#define Port15Pins__DM1 CYREG_PRT15_DM1
#define Port15Pins__DM2 CYREG_PRT15_DM2
#define Port15Pins__DR CYREG_PRT15_DR
#define Port15Pins__INP_DIS CYREG_PRT15_INP_DIS
#define Port15Pins__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define Port15Pins__LCD_EN CYREG_PRT15_LCD_EN
#define Port15Pins__MASK 0x3Fu
#define Port15Pins__PORT 15u
#define Port15Pins__PRT CYREG_PRT15_PRT
#define Port15Pins__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define Port15Pins__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define Port15Pins__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define Port15Pins__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define Port15Pins__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define Port15Pins__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define Port15Pins__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define Port15Pins__PS CYREG_PRT15_PS
#define Port15Pins__SHIFT 0
#define Port15Pins__SLW CYREG_PRT15_SLW

/* Miscellaneous */
#define BCLK__BUS_CLK__HZ 64000000U
#define BCLK__BUS_CLK__KHZ 64000U
#define BCLK__BUS_CLK__MHZ 64U
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 4u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_PSOC5LP 5u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x2E123069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_4D 3u
#define CYDEV_CHIP_MEMBER_5A 4u
#define CYDEV_CHIP_MEMBER_5B 5u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5B
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4D_ES0 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5B_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x20u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x0800
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00000000u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x2000
#define CYDEV_USB_CLK_OSC_LOCKING_ENABLED_AT_PWR_UP 
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 3.3
#define CYDEV_VDDA_MV 3300
#define CYDEV_VDDD 3.3
#define CYDEV_VDDD_MV 3300
#define CYDEV_VDDIO0 3.3
#define CYDEV_VDDIO0_MV 3300
#define CYDEV_VDDIO1 3.3
#define CYDEV_VDDIO1_MV 3300
#define CYDEV_VDDIO2 3.3
#define CYDEV_VDDIO2_MV 3300
#define CYDEV_VDDIO3 3.3
#define CYDEV_VDDIO3_MV 3300
#define CYDEV_VIO0 3.3
#define CYDEV_VIO0_MV 3300
#define CYDEV_VIO1 3.3
#define CYDEV_VIO1_MV 3300
#define CYDEV_VIO2 3.3
#define CYDEV_VIO2_MV 3300
#define CYDEV_VIO3 3.3
#define CYDEV_VIO3_MV 3300
#define CYIPBLOCK_ARM_CM3_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAN_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DFB_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_SCCT_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SAR_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
