#include <project.h>

void wait100(void)
{
	int i = 100;

	while (i--) {
		SysTimer_Init();
		SysTimer_Start();
		while (! (SysTimer_ReadStatusRegister() & (1 << SysTimer_STATUS_TC_SHIFT))) ;
	};
}


#if 0
uint8 USB_HandleStandardRqst(void)
{
	Port12Reg_Write(1 << 0);
	return 0;
}
#endif


uint8 USB_DispatchClassRqst(void)
{
	Port12Reg_Write(1 << 1);
	return 0;
}


uint8 USB_HandleVendorRqst(void)
{
	Port12Reg_Write(1 << 2);
	return 0;
}


int main(void)
{
	int i;

	CyGlobalIntEnable;
	USB_Start(0, USB_DWR_VDDD_OPERATION);

	i = 0;
	while (! USB_GetConfiguration()) {
		Port2Reg_Write(1 << i);
		wait100();

		i++;
		if (i == 8) {
			i = 0;
		}
	}
	Port2Reg_Write(0);

	i = 0;
	while (1) {
		if (i < 8) {
			Port0Reg_Write(1 << i);
		} else if (i < 16) {
			Port0Reg_Write(0);
			Port2Reg_Write(1 << (i - 8));
		} else if (i < 24) {
			Port2Reg_Write(0);
			Port3Reg_Write(1 << (i - 16));
		} else if (i < 32) {
			Port3Reg_Write(0);
			Port4Reg_Write(1 << (i - 24));
		} else if (i < 36) {
			Port4Reg_Write(0);
			Port5Reg_Write(1 << (i - 32));
		} else if (i < 44) {
			Port5Reg_Write(0);
			Port6Reg_Write(1 << (i - 36));
		} else if (i < 50) {
			Port6Reg_Write(0);
			Port12Reg_Write(1 << (i - 44));
		} else if (i < 56) {
			Port12Reg_Write(0);
			Port15Reg_Write(1 << (i - 50));
		}

		wait100();

		++i;
		if (i == 56) {
			Port15Reg_Write(0);
			i = 0;
		}
	};
}
