.ifndef INCLUDED_CYFITTERGNU_INC
.set INCLUDED_CYFITTERGNU_INC, 1
.include "cydevicegnu.inc"
.include "cydevicegnu_trm.inc"

/* USB_arb_int */
.set USB_arb_int__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set USB_arb_int__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set USB_arb_int__INTC_MASK, 0x400000
.set USB_arb_int__INTC_NUMBER, 22
.set USB_arb_int__INTC_PRIOR_NUM, 7
.set USB_arb_int__INTC_PRIOR_REG, CYREG_NVIC_PRI_22
.set USB_arb_int__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set USB_arb_int__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* USB_bus_reset */
.set USB_bus_reset__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set USB_bus_reset__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set USB_bus_reset__INTC_MASK, 0x800000
.set USB_bus_reset__INTC_NUMBER, 23
.set USB_bus_reset__INTC_PRIOR_NUM, 7
.set USB_bus_reset__INTC_PRIOR_REG, CYREG_NVIC_PRI_23
.set USB_bus_reset__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set USB_bus_reset__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* USB_Dm */
.set USB_Dm__0__MASK, 0x80
.set USB_Dm__0__PC, CYREG_IO_PC_PRT15_7_6_PC1
.set USB_Dm__0__PORT, 15
.set USB_Dm__0__SHIFT, 7
.set USB_Dm__AG, CYREG_PRT15_AG
.set USB_Dm__AMUX, CYREG_PRT15_AMUX
.set USB_Dm__BIE, CYREG_PRT15_BIE
.set USB_Dm__BIT_MASK, CYREG_PRT15_BIT_MASK
.set USB_Dm__BYP, CYREG_PRT15_BYP
.set USB_Dm__CTL, CYREG_PRT15_CTL
.set USB_Dm__DM0, CYREG_PRT15_DM0
.set USB_Dm__DM1, CYREG_PRT15_DM1
.set USB_Dm__DM2, CYREG_PRT15_DM2
.set USB_Dm__DR, CYREG_PRT15_DR
.set USB_Dm__INP_DIS, CYREG_PRT15_INP_DIS
.set USB_Dm__LCD_COM_SEG, CYREG_PRT15_LCD_COM_SEG
.set USB_Dm__LCD_EN, CYREG_PRT15_LCD_EN
.set USB_Dm__MASK, 0x80
.set USB_Dm__PORT, 15
.set USB_Dm__PRT, CYREG_PRT15_PRT
.set USB_Dm__PRTDSI__CAPS_SEL, CYREG_PRT15_CAPS_SEL
.set USB_Dm__PRTDSI__DBL_SYNC_IN, CYREG_PRT15_DBL_SYNC_IN
.set USB_Dm__PRTDSI__OE_SEL0, CYREG_PRT15_OE_SEL0
.set USB_Dm__PRTDSI__OE_SEL1, CYREG_PRT15_OE_SEL1
.set USB_Dm__PRTDSI__OUT_SEL0, CYREG_PRT15_OUT_SEL0
.set USB_Dm__PRTDSI__OUT_SEL1, CYREG_PRT15_OUT_SEL1
.set USB_Dm__PRTDSI__SYNC_OUT, CYREG_PRT15_SYNC_OUT
.set USB_Dm__PS, CYREG_PRT15_PS
.set USB_Dm__SHIFT, 7
.set USB_Dm__SLW, CYREG_PRT15_SLW

/* USB_Dp */
.set USB_Dp__0__MASK, 0x40
.set USB_Dp__0__PC, CYREG_IO_PC_PRT15_7_6_PC0
.set USB_Dp__0__PORT, 15
.set USB_Dp__0__SHIFT, 6
.set USB_Dp__AG, CYREG_PRT15_AG
.set USB_Dp__AMUX, CYREG_PRT15_AMUX
.set USB_Dp__BIE, CYREG_PRT15_BIE
.set USB_Dp__BIT_MASK, CYREG_PRT15_BIT_MASK
.set USB_Dp__BYP, CYREG_PRT15_BYP
.set USB_Dp__CTL, CYREG_PRT15_CTL
.set USB_Dp__DM0, CYREG_PRT15_DM0
.set USB_Dp__DM1, CYREG_PRT15_DM1
.set USB_Dp__DM2, CYREG_PRT15_DM2
.set USB_Dp__DR, CYREG_PRT15_DR
.set USB_Dp__INP_DIS, CYREG_PRT15_INP_DIS
.set USB_Dp__INTSTAT, CYREG_PICU15_INTSTAT
.set USB_Dp__LCD_COM_SEG, CYREG_PRT15_LCD_COM_SEG
.set USB_Dp__LCD_EN, CYREG_PRT15_LCD_EN
.set USB_Dp__MASK, 0x40
.set USB_Dp__PORT, 15
.set USB_Dp__PRT, CYREG_PRT15_PRT
.set USB_Dp__PRTDSI__CAPS_SEL, CYREG_PRT15_CAPS_SEL
.set USB_Dp__PRTDSI__DBL_SYNC_IN, CYREG_PRT15_DBL_SYNC_IN
.set USB_Dp__PRTDSI__OE_SEL0, CYREG_PRT15_OE_SEL0
.set USB_Dp__PRTDSI__OE_SEL1, CYREG_PRT15_OE_SEL1
.set USB_Dp__PRTDSI__OUT_SEL0, CYREG_PRT15_OUT_SEL0
.set USB_Dp__PRTDSI__OUT_SEL1, CYREG_PRT15_OUT_SEL1
.set USB_Dp__PRTDSI__SYNC_OUT, CYREG_PRT15_SYNC_OUT
.set USB_Dp__PS, CYREG_PRT15_PS
.set USB_Dp__SHIFT, 6
.set USB_Dp__SLW, CYREG_PRT15_SLW
.set USB_Dp__SNAP, CYREG_PICU_15_SNAP_15

/* USB_dp_int */
.set USB_dp_int__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set USB_dp_int__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set USB_dp_int__INTC_MASK, 0x1000
.set USB_dp_int__INTC_NUMBER, 12
.set USB_dp_int__INTC_PRIOR_NUM, 7
.set USB_dp_int__INTC_PRIOR_REG, CYREG_NVIC_PRI_12
.set USB_dp_int__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set USB_dp_int__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* USB_ep_0 */
.set USB_ep_0__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set USB_ep_0__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set USB_ep_0__INTC_MASK, 0x1000000
.set USB_ep_0__INTC_NUMBER, 24
.set USB_ep_0__INTC_PRIOR_NUM, 7
.set USB_ep_0__INTC_PRIOR_REG, CYREG_NVIC_PRI_24
.set USB_ep_0__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set USB_ep_0__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* USB_ep_1 */
.set USB_ep_1__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set USB_ep_1__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set USB_ep_1__INTC_MASK, 0x01
.set USB_ep_1__INTC_NUMBER, 0
.set USB_ep_1__INTC_PRIOR_NUM, 7
.set USB_ep_1__INTC_PRIOR_REG, CYREG_NVIC_PRI_0
.set USB_ep_1__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set USB_ep_1__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* USB_sof_int */
.set USB_sof_int__INTC_CLR_EN_REG, CYREG_NVIC_CLRENA0
.set USB_sof_int__INTC_CLR_PD_REG, CYREG_NVIC_CLRPEND0
.set USB_sof_int__INTC_MASK, 0x200000
.set USB_sof_int__INTC_NUMBER, 21
.set USB_sof_int__INTC_PRIOR_NUM, 7
.set USB_sof_int__INTC_PRIOR_REG, CYREG_NVIC_PRI_21
.set USB_sof_int__INTC_SET_EN_REG, CYREG_NVIC_SETENA0
.set USB_sof_int__INTC_SET_PD_REG, CYREG_NVIC_SETPEND0

/* USB_USB */
.set USB_USB__ARB_CFG, CYREG_USB_ARB_CFG
.set USB_USB__ARB_EP1_CFG, CYREG_USB_ARB_EP1_CFG
.set USB_USB__ARB_EP1_INT_EN, CYREG_USB_ARB_EP1_INT_EN
.set USB_USB__ARB_EP1_SR, CYREG_USB_ARB_EP1_SR
.set USB_USB__ARB_EP2_CFG, CYREG_USB_ARB_EP2_CFG
.set USB_USB__ARB_EP2_INT_EN, CYREG_USB_ARB_EP2_INT_EN
.set USB_USB__ARB_EP2_SR, CYREG_USB_ARB_EP2_SR
.set USB_USB__ARB_EP3_CFG, CYREG_USB_ARB_EP3_CFG
.set USB_USB__ARB_EP3_INT_EN, CYREG_USB_ARB_EP3_INT_EN
.set USB_USB__ARB_EP3_SR, CYREG_USB_ARB_EP3_SR
.set USB_USB__ARB_EP4_CFG, CYREG_USB_ARB_EP4_CFG
.set USB_USB__ARB_EP4_INT_EN, CYREG_USB_ARB_EP4_INT_EN
.set USB_USB__ARB_EP4_SR, CYREG_USB_ARB_EP4_SR
.set USB_USB__ARB_EP5_CFG, CYREG_USB_ARB_EP5_CFG
.set USB_USB__ARB_EP5_INT_EN, CYREG_USB_ARB_EP5_INT_EN
.set USB_USB__ARB_EP5_SR, CYREG_USB_ARB_EP5_SR
.set USB_USB__ARB_EP6_CFG, CYREG_USB_ARB_EP6_CFG
.set USB_USB__ARB_EP6_INT_EN, CYREG_USB_ARB_EP6_INT_EN
.set USB_USB__ARB_EP6_SR, CYREG_USB_ARB_EP6_SR
.set USB_USB__ARB_EP7_CFG, CYREG_USB_ARB_EP7_CFG
.set USB_USB__ARB_EP7_INT_EN, CYREG_USB_ARB_EP7_INT_EN
.set USB_USB__ARB_EP7_SR, CYREG_USB_ARB_EP7_SR
.set USB_USB__ARB_EP8_CFG, CYREG_USB_ARB_EP8_CFG
.set USB_USB__ARB_EP8_INT_EN, CYREG_USB_ARB_EP8_INT_EN
.set USB_USB__ARB_EP8_SR, CYREG_USB_ARB_EP8_SR
.set USB_USB__ARB_INT_EN, CYREG_USB_ARB_INT_EN
.set USB_USB__ARB_INT_SR, CYREG_USB_ARB_INT_SR
.set USB_USB__ARB_RW1_DR, CYREG_USB_ARB_RW1_DR
.set USB_USB__ARB_RW1_RA, CYREG_USB_ARB_RW1_RA
.set USB_USB__ARB_RW1_RA_MSB, CYREG_USB_ARB_RW1_RA_MSB
.set USB_USB__ARB_RW1_WA, CYREG_USB_ARB_RW1_WA
.set USB_USB__ARB_RW1_WA_MSB, CYREG_USB_ARB_RW1_WA_MSB
.set USB_USB__ARB_RW2_DR, CYREG_USB_ARB_RW2_DR
.set USB_USB__ARB_RW2_RA, CYREG_USB_ARB_RW2_RA
.set USB_USB__ARB_RW2_RA_MSB, CYREG_USB_ARB_RW2_RA_MSB
.set USB_USB__ARB_RW2_WA, CYREG_USB_ARB_RW2_WA
.set USB_USB__ARB_RW2_WA_MSB, CYREG_USB_ARB_RW2_WA_MSB
.set USB_USB__ARB_RW3_DR, CYREG_USB_ARB_RW3_DR
.set USB_USB__ARB_RW3_RA, CYREG_USB_ARB_RW3_RA
.set USB_USB__ARB_RW3_RA_MSB, CYREG_USB_ARB_RW3_RA_MSB
.set USB_USB__ARB_RW3_WA, CYREG_USB_ARB_RW3_WA
.set USB_USB__ARB_RW3_WA_MSB, CYREG_USB_ARB_RW3_WA_MSB
.set USB_USB__ARB_RW4_DR, CYREG_USB_ARB_RW4_DR
.set USB_USB__ARB_RW4_RA, CYREG_USB_ARB_RW4_RA
.set USB_USB__ARB_RW4_RA_MSB, CYREG_USB_ARB_RW4_RA_MSB
.set USB_USB__ARB_RW4_WA, CYREG_USB_ARB_RW4_WA
.set USB_USB__ARB_RW4_WA_MSB, CYREG_USB_ARB_RW4_WA_MSB
.set USB_USB__ARB_RW5_DR, CYREG_USB_ARB_RW5_DR
.set USB_USB__ARB_RW5_RA, CYREG_USB_ARB_RW5_RA
.set USB_USB__ARB_RW5_RA_MSB, CYREG_USB_ARB_RW5_RA_MSB
.set USB_USB__ARB_RW5_WA, CYREG_USB_ARB_RW5_WA
.set USB_USB__ARB_RW5_WA_MSB, CYREG_USB_ARB_RW5_WA_MSB
.set USB_USB__ARB_RW6_DR, CYREG_USB_ARB_RW6_DR
.set USB_USB__ARB_RW6_RA, CYREG_USB_ARB_RW6_RA
.set USB_USB__ARB_RW6_RA_MSB, CYREG_USB_ARB_RW6_RA_MSB
.set USB_USB__ARB_RW6_WA, CYREG_USB_ARB_RW6_WA
.set USB_USB__ARB_RW6_WA_MSB, CYREG_USB_ARB_RW6_WA_MSB
.set USB_USB__ARB_RW7_DR, CYREG_USB_ARB_RW7_DR
.set USB_USB__ARB_RW7_RA, CYREG_USB_ARB_RW7_RA
.set USB_USB__ARB_RW7_RA_MSB, CYREG_USB_ARB_RW7_RA_MSB
.set USB_USB__ARB_RW7_WA, CYREG_USB_ARB_RW7_WA
.set USB_USB__ARB_RW7_WA_MSB, CYREG_USB_ARB_RW7_WA_MSB
.set USB_USB__ARB_RW8_DR, CYREG_USB_ARB_RW8_DR
.set USB_USB__ARB_RW8_RA, CYREG_USB_ARB_RW8_RA
.set USB_USB__ARB_RW8_RA_MSB, CYREG_USB_ARB_RW8_RA_MSB
.set USB_USB__ARB_RW8_WA, CYREG_USB_ARB_RW8_WA
.set USB_USB__ARB_RW8_WA_MSB, CYREG_USB_ARB_RW8_WA_MSB
.set USB_USB__BUF_SIZE, CYREG_USB_BUF_SIZE
.set USB_USB__BUS_RST_CNT, CYREG_USB_BUS_RST_CNT
.set USB_USB__CR0, CYREG_USB_CR0
.set USB_USB__CR1, CYREG_USB_CR1
.set USB_USB__CWA, CYREG_USB_CWA
.set USB_USB__CWA_MSB, CYREG_USB_CWA_MSB
.set USB_USB__DMA_THRES, CYREG_USB_DMA_THRES
.set USB_USB__DMA_THRES_MSB, CYREG_USB_DMA_THRES_MSB
.set USB_USB__DYN_RECONFIG, CYREG_USB_DYN_RECONFIG
.set USB_USB__EP_ACTIVE, CYREG_USB_EP_ACTIVE
.set USB_USB__EP_TYPE, CYREG_USB_EP_TYPE
.set USB_USB__EP0_CNT, CYREG_USB_EP0_CNT
.set USB_USB__EP0_CR, CYREG_USB_EP0_CR
.set USB_USB__EP0_DR0, CYREG_USB_EP0_DR0
.set USB_USB__EP0_DR1, CYREG_USB_EP0_DR1
.set USB_USB__EP0_DR2, CYREG_USB_EP0_DR2
.set USB_USB__EP0_DR3, CYREG_USB_EP0_DR3
.set USB_USB__EP0_DR4, CYREG_USB_EP0_DR4
.set USB_USB__EP0_DR5, CYREG_USB_EP0_DR5
.set USB_USB__EP0_DR6, CYREG_USB_EP0_DR6
.set USB_USB__EP0_DR7, CYREG_USB_EP0_DR7
.set USB_USB__MEM_DATA, CYREG_USB_MEM_DATA_MBASE
.set USB_USB__PM_ACT_CFG, CYREG_PM_ACT_CFG5
.set USB_USB__PM_ACT_MSK, 0x01
.set USB_USB__PM_STBY_CFG, CYREG_PM_STBY_CFG5
.set USB_USB__PM_STBY_MSK, 0x01
.set USB_USB__SIE_EP_INT_EN, CYREG_USB_SIE_EP_INT_EN
.set USB_USB__SIE_EP_INT_SR, CYREG_USB_SIE_EP_INT_SR
.set USB_USB__SIE_EP1_CNT0, CYREG_USB_SIE_EP1_CNT0
.set USB_USB__SIE_EP1_CNT1, CYREG_USB_SIE_EP1_CNT1
.set USB_USB__SIE_EP1_CR0, CYREG_USB_SIE_EP1_CR0
.set USB_USB__SIE_EP2_CNT0, CYREG_USB_SIE_EP2_CNT0
.set USB_USB__SIE_EP2_CNT1, CYREG_USB_SIE_EP2_CNT1
.set USB_USB__SIE_EP2_CR0, CYREG_USB_SIE_EP2_CR0
.set USB_USB__SIE_EP3_CNT0, CYREG_USB_SIE_EP3_CNT0
.set USB_USB__SIE_EP3_CNT1, CYREG_USB_SIE_EP3_CNT1
.set USB_USB__SIE_EP3_CR0, CYREG_USB_SIE_EP3_CR0
.set USB_USB__SIE_EP4_CNT0, CYREG_USB_SIE_EP4_CNT0
.set USB_USB__SIE_EP4_CNT1, CYREG_USB_SIE_EP4_CNT1
.set USB_USB__SIE_EP4_CR0, CYREG_USB_SIE_EP4_CR0
.set USB_USB__SIE_EP5_CNT0, CYREG_USB_SIE_EP5_CNT0
.set USB_USB__SIE_EP5_CNT1, CYREG_USB_SIE_EP5_CNT1
.set USB_USB__SIE_EP5_CR0, CYREG_USB_SIE_EP5_CR0
.set USB_USB__SIE_EP6_CNT0, CYREG_USB_SIE_EP6_CNT0
.set USB_USB__SIE_EP6_CNT1, CYREG_USB_SIE_EP6_CNT1
.set USB_USB__SIE_EP6_CR0, CYREG_USB_SIE_EP6_CR0
.set USB_USB__SIE_EP7_CNT0, CYREG_USB_SIE_EP7_CNT0
.set USB_USB__SIE_EP7_CNT1, CYREG_USB_SIE_EP7_CNT1
.set USB_USB__SIE_EP7_CR0, CYREG_USB_SIE_EP7_CR0
.set USB_USB__SIE_EP8_CNT0, CYREG_USB_SIE_EP8_CNT0
.set USB_USB__SIE_EP8_CNT1, CYREG_USB_SIE_EP8_CNT1
.set USB_USB__SIE_EP8_CR0, CYREG_USB_SIE_EP8_CR0
.set USB_USB__SOF0, CYREG_USB_SOF0
.set USB_USB__SOF1, CYREG_USB_SOF1
.set USB_USB__USB_CLK_EN, CYREG_USB_USB_CLK_EN
.set USB_USB__USBIO_CR0, CYREG_USB_USBIO_CR0
.set USB_USB__USBIO_CR1, CYREG_USB_USBIO_CR1

/* Port0Reg */
.set Port0Reg_Sync_ctrl_reg__0__MASK, 0x01
.set Port0Reg_Sync_ctrl_reg__0__POS, 0
.set Port0Reg_Sync_ctrl_reg__1__MASK, 0x02
.set Port0Reg_Sync_ctrl_reg__1__POS, 1
.set Port0Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG, CYREG_B1_UDB04_05_ACTL
.set Port0Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG, CYREG_B1_UDB04_05_CTL
.set Port0Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG, CYREG_B1_UDB04_05_CTL
.set Port0Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG, CYREG_B1_UDB04_05_CTL
.set Port0Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG, CYREG_B1_UDB04_05_CTL
.set Port0Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG, CYREG_B1_UDB04_05_MSK
.set Port0Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG, CYREG_B1_UDB04_05_MSK
.set Port0Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG, CYREG_B1_UDB04_05_MSK
.set Port0Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG, CYREG_B1_UDB04_05_MSK
.set Port0Reg_Sync_ctrl_reg__2__MASK, 0x04
.set Port0Reg_Sync_ctrl_reg__2__POS, 2
.set Port0Reg_Sync_ctrl_reg__3__MASK, 0x08
.set Port0Reg_Sync_ctrl_reg__3__POS, 3
.set Port0Reg_Sync_ctrl_reg__4__MASK, 0x10
.set Port0Reg_Sync_ctrl_reg__4__POS, 4
.set Port0Reg_Sync_ctrl_reg__5__MASK, 0x20
.set Port0Reg_Sync_ctrl_reg__5__POS, 5
.set Port0Reg_Sync_ctrl_reg__6__MASK, 0x40
.set Port0Reg_Sync_ctrl_reg__6__POS, 6
.set Port0Reg_Sync_ctrl_reg__7__MASK, 0x80
.set Port0Reg_Sync_ctrl_reg__7__POS, 7
.set Port0Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG, CYREG_B1_UDB04_ACTL
.set Port0Reg_Sync_ctrl_reg__CONTROL_REG, CYREG_B1_UDB04_CTL
.set Port0Reg_Sync_ctrl_reg__CONTROL_ST_REG, CYREG_B1_UDB04_ST_CTL
.set Port0Reg_Sync_ctrl_reg__COUNT_REG, CYREG_B1_UDB04_CTL
.set Port0Reg_Sync_ctrl_reg__COUNT_ST_REG, CYREG_B1_UDB04_ST_CTL
.set Port0Reg_Sync_ctrl_reg__MASK, 0xFF
.set Port0Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG, CYREG_B1_UDB04_MSK_ACTL
.set Port0Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG, CYREG_B1_UDB04_MSK_ACTL
.set Port0Reg_Sync_ctrl_reg__PERIOD_REG, CYREG_B1_UDB04_MSK

/* Port2Reg */
.set Port2Reg_Sync_ctrl_reg__0__MASK, 0x01
.set Port2Reg_Sync_ctrl_reg__0__POS, 0
.set Port2Reg_Sync_ctrl_reg__1__MASK, 0x02
.set Port2Reg_Sync_ctrl_reg__1__POS, 1
.set Port2Reg_Sync_ctrl_reg__2__MASK, 0x04
.set Port2Reg_Sync_ctrl_reg__2__POS, 2
.set Port2Reg_Sync_ctrl_reg__3__MASK, 0x08
.set Port2Reg_Sync_ctrl_reg__3__POS, 3
.set Port2Reg_Sync_ctrl_reg__4__MASK, 0x10
.set Port2Reg_Sync_ctrl_reg__4__POS, 4
.set Port2Reg_Sync_ctrl_reg__5__MASK, 0x20
.set Port2Reg_Sync_ctrl_reg__5__POS, 5
.set Port2Reg_Sync_ctrl_reg__6__MASK, 0x40
.set Port2Reg_Sync_ctrl_reg__6__POS, 6
.set Port2Reg_Sync_ctrl_reg__7__MASK, 0x80
.set Port2Reg_Sync_ctrl_reg__7__POS, 7
.set Port2Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG, CYREG_B1_UDB11_ACTL
.set Port2Reg_Sync_ctrl_reg__CONTROL_REG, CYREG_B1_UDB11_CTL
.set Port2Reg_Sync_ctrl_reg__CONTROL_ST_REG, CYREG_B1_UDB11_ST_CTL
.set Port2Reg_Sync_ctrl_reg__COUNT_REG, CYREG_B1_UDB11_CTL
.set Port2Reg_Sync_ctrl_reg__COUNT_ST_REG, CYREG_B1_UDB11_ST_CTL
.set Port2Reg_Sync_ctrl_reg__MASK, 0xFF
.set Port2Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG, CYREG_B1_UDB11_MSK_ACTL
.set Port2Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG, CYREG_B1_UDB11_MSK_ACTL
.set Port2Reg_Sync_ctrl_reg__PERIOD_REG, CYREG_B1_UDB11_MSK

/* Port3Reg */
.set Port3Reg_Sync_ctrl_reg__0__MASK, 0x01
.set Port3Reg_Sync_ctrl_reg__0__POS, 0
.set Port3Reg_Sync_ctrl_reg__1__MASK, 0x02
.set Port3Reg_Sync_ctrl_reg__1__POS, 1
.set Port3Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG, CYREG_B1_UDB06_07_ACTL
.set Port3Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG, CYREG_B1_UDB06_07_CTL
.set Port3Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG, CYREG_B1_UDB06_07_CTL
.set Port3Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG, CYREG_B1_UDB06_07_CTL
.set Port3Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG, CYREG_B1_UDB06_07_CTL
.set Port3Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG, CYREG_B1_UDB06_07_MSK
.set Port3Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG, CYREG_B1_UDB06_07_MSK
.set Port3Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG, CYREG_B1_UDB06_07_MSK
.set Port3Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG, CYREG_B1_UDB06_07_MSK
.set Port3Reg_Sync_ctrl_reg__2__MASK, 0x04
.set Port3Reg_Sync_ctrl_reg__2__POS, 2
.set Port3Reg_Sync_ctrl_reg__3__MASK, 0x08
.set Port3Reg_Sync_ctrl_reg__3__POS, 3
.set Port3Reg_Sync_ctrl_reg__4__MASK, 0x10
.set Port3Reg_Sync_ctrl_reg__4__POS, 4
.set Port3Reg_Sync_ctrl_reg__5__MASK, 0x20
.set Port3Reg_Sync_ctrl_reg__5__POS, 5
.set Port3Reg_Sync_ctrl_reg__6__MASK, 0x40
.set Port3Reg_Sync_ctrl_reg__6__POS, 6
.set Port3Reg_Sync_ctrl_reg__7__MASK, 0x80
.set Port3Reg_Sync_ctrl_reg__7__POS, 7
.set Port3Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG, CYREG_B1_UDB06_ACTL
.set Port3Reg_Sync_ctrl_reg__CONTROL_REG, CYREG_B1_UDB06_CTL
.set Port3Reg_Sync_ctrl_reg__CONTROL_ST_REG, CYREG_B1_UDB06_ST_CTL
.set Port3Reg_Sync_ctrl_reg__COUNT_REG, CYREG_B1_UDB06_CTL
.set Port3Reg_Sync_ctrl_reg__COUNT_ST_REG, CYREG_B1_UDB06_ST_CTL
.set Port3Reg_Sync_ctrl_reg__MASK, 0xFF
.set Port3Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG, CYREG_B1_UDB06_MSK_ACTL
.set Port3Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG, CYREG_B1_UDB06_MSK_ACTL
.set Port3Reg_Sync_ctrl_reg__PERIOD_REG, CYREG_B1_UDB06_MSK

/* Port4Reg */
.set Port4Reg_Sync_ctrl_reg__0__MASK, 0x01
.set Port4Reg_Sync_ctrl_reg__0__POS, 0
.set Port4Reg_Sync_ctrl_reg__1__MASK, 0x02
.set Port4Reg_Sync_ctrl_reg__1__POS, 1
.set Port4Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG, CYREG_B0_UDB08_09_ACTL
.set Port4Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG, CYREG_B0_UDB08_09_CTL
.set Port4Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG, CYREG_B0_UDB08_09_CTL
.set Port4Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG, CYREG_B0_UDB08_09_CTL
.set Port4Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG, CYREG_B0_UDB08_09_CTL
.set Port4Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG, CYREG_B0_UDB08_09_MSK
.set Port4Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG, CYREG_B0_UDB08_09_MSK
.set Port4Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG, CYREG_B0_UDB08_09_MSK
.set Port4Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG, CYREG_B0_UDB08_09_MSK
.set Port4Reg_Sync_ctrl_reg__2__MASK, 0x04
.set Port4Reg_Sync_ctrl_reg__2__POS, 2
.set Port4Reg_Sync_ctrl_reg__3__MASK, 0x08
.set Port4Reg_Sync_ctrl_reg__3__POS, 3
.set Port4Reg_Sync_ctrl_reg__4__MASK, 0x10
.set Port4Reg_Sync_ctrl_reg__4__POS, 4
.set Port4Reg_Sync_ctrl_reg__5__MASK, 0x20
.set Port4Reg_Sync_ctrl_reg__5__POS, 5
.set Port4Reg_Sync_ctrl_reg__6__MASK, 0x40
.set Port4Reg_Sync_ctrl_reg__6__POS, 6
.set Port4Reg_Sync_ctrl_reg__7__MASK, 0x80
.set Port4Reg_Sync_ctrl_reg__7__POS, 7
.set Port4Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG, CYREG_B0_UDB08_ACTL
.set Port4Reg_Sync_ctrl_reg__CONTROL_REG, CYREG_B0_UDB08_CTL
.set Port4Reg_Sync_ctrl_reg__CONTROL_ST_REG, CYREG_B0_UDB08_ST_CTL
.set Port4Reg_Sync_ctrl_reg__COUNT_REG, CYREG_B0_UDB08_CTL
.set Port4Reg_Sync_ctrl_reg__COUNT_ST_REG, CYREG_B0_UDB08_ST_CTL
.set Port4Reg_Sync_ctrl_reg__MASK, 0xFF
.set Port4Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG, CYREG_B0_UDB08_MSK_ACTL
.set Port4Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG, CYREG_B0_UDB08_MSK_ACTL
.set Port4Reg_Sync_ctrl_reg__PERIOD_REG, CYREG_B0_UDB08_MSK

/* Port5Reg */
.set Port5Reg_Sync_ctrl_reg__0__MASK, 0x01
.set Port5Reg_Sync_ctrl_reg__0__POS, 0
.set Port5Reg_Sync_ctrl_reg__1__MASK, 0x02
.set Port5Reg_Sync_ctrl_reg__1__POS, 1
.set Port5Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG, CYREG_B0_UDB09_10_ACTL
.set Port5Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG, CYREG_B0_UDB09_10_CTL
.set Port5Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG, CYREG_B0_UDB09_10_CTL
.set Port5Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG, CYREG_B0_UDB09_10_CTL
.set Port5Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG, CYREG_B0_UDB09_10_CTL
.set Port5Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG, CYREG_B0_UDB09_10_MSK
.set Port5Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG, CYREG_B0_UDB09_10_MSK
.set Port5Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG, CYREG_B0_UDB09_10_MSK
.set Port5Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG, CYREG_B0_UDB09_10_MSK
.set Port5Reg_Sync_ctrl_reg__2__MASK, 0x04
.set Port5Reg_Sync_ctrl_reg__2__POS, 2
.set Port5Reg_Sync_ctrl_reg__3__MASK, 0x08
.set Port5Reg_Sync_ctrl_reg__3__POS, 3
.set Port5Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG, CYREG_B0_UDB09_ACTL
.set Port5Reg_Sync_ctrl_reg__CONTROL_REG, CYREG_B0_UDB09_CTL
.set Port5Reg_Sync_ctrl_reg__CONTROL_ST_REG, CYREG_B0_UDB09_ST_CTL
.set Port5Reg_Sync_ctrl_reg__COUNT_REG, CYREG_B0_UDB09_CTL
.set Port5Reg_Sync_ctrl_reg__COUNT_ST_REG, CYREG_B0_UDB09_ST_CTL
.set Port5Reg_Sync_ctrl_reg__MASK, 0x0F
.set Port5Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG, CYREG_B0_UDB09_MSK_ACTL
.set Port5Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG, CYREG_B0_UDB09_MSK_ACTL
.set Port5Reg_Sync_ctrl_reg__PERIOD_REG, CYREG_B0_UDB09_MSK

/* Port6Reg */
.set Port6Reg_Sync_ctrl_reg__0__MASK, 0x01
.set Port6Reg_Sync_ctrl_reg__0__POS, 0
.set Port6Reg_Sync_ctrl_reg__1__MASK, 0x02
.set Port6Reg_Sync_ctrl_reg__1__POS, 1
.set Port6Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG, CYREG_B1_UDB10_11_ACTL
.set Port6Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG, CYREG_B1_UDB10_11_CTL
.set Port6Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG, CYREG_B1_UDB10_11_CTL
.set Port6Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG, CYREG_B1_UDB10_11_CTL
.set Port6Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG, CYREG_B1_UDB10_11_CTL
.set Port6Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG, CYREG_B1_UDB10_11_MSK
.set Port6Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG, CYREG_B1_UDB10_11_MSK
.set Port6Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG, CYREG_B1_UDB10_11_MSK
.set Port6Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG, CYREG_B1_UDB10_11_MSK
.set Port6Reg_Sync_ctrl_reg__2__MASK, 0x04
.set Port6Reg_Sync_ctrl_reg__2__POS, 2
.set Port6Reg_Sync_ctrl_reg__3__MASK, 0x08
.set Port6Reg_Sync_ctrl_reg__3__POS, 3
.set Port6Reg_Sync_ctrl_reg__4__MASK, 0x10
.set Port6Reg_Sync_ctrl_reg__4__POS, 4
.set Port6Reg_Sync_ctrl_reg__5__MASK, 0x20
.set Port6Reg_Sync_ctrl_reg__5__POS, 5
.set Port6Reg_Sync_ctrl_reg__6__MASK, 0x40
.set Port6Reg_Sync_ctrl_reg__6__POS, 6
.set Port6Reg_Sync_ctrl_reg__7__MASK, 0x80
.set Port6Reg_Sync_ctrl_reg__7__POS, 7
.set Port6Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG, CYREG_B1_UDB10_ACTL
.set Port6Reg_Sync_ctrl_reg__CONTROL_REG, CYREG_B1_UDB10_CTL
.set Port6Reg_Sync_ctrl_reg__CONTROL_ST_REG, CYREG_B1_UDB10_ST_CTL
.set Port6Reg_Sync_ctrl_reg__COUNT_REG, CYREG_B1_UDB10_CTL
.set Port6Reg_Sync_ctrl_reg__COUNT_ST_REG, CYREG_B1_UDB10_ST_CTL
.set Port6Reg_Sync_ctrl_reg__MASK, 0xFF
.set Port6Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG, CYREG_B1_UDB10_MSK_ACTL
.set Port6Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG, CYREG_B1_UDB10_MSK_ACTL
.set Port6Reg_Sync_ctrl_reg__PERIOD_REG, CYREG_B1_UDB10_MSK

/* SysTimer_TimerHW */
.set SysTimer_TimerHW__CAP0, CYREG_TMR0_CAP0
.set SysTimer_TimerHW__CAP1, CYREG_TMR0_CAP1
.set SysTimer_TimerHW__CFG0, CYREG_TMR0_CFG0
.set SysTimer_TimerHW__CFG1, CYREG_TMR0_CFG1
.set SysTimer_TimerHW__CFG2, CYREG_TMR0_CFG2
.set SysTimer_TimerHW__CNT_CMP0, CYREG_TMR0_CNT_CMP0
.set SysTimer_TimerHW__CNT_CMP1, CYREG_TMR0_CNT_CMP1
.set SysTimer_TimerHW__PER0, CYREG_TMR0_PER0
.set SysTimer_TimerHW__PER1, CYREG_TMR0_PER1
.set SysTimer_TimerHW__PM_ACT_CFG, CYREG_PM_ACT_CFG3
.set SysTimer_TimerHW__PM_ACT_MSK, 0x01
.set SysTimer_TimerHW__PM_STBY_CFG, CYREG_PM_STBY_CFG3
.set SysTimer_TimerHW__PM_STBY_MSK, 0x01
.set SysTimer_TimerHW__RT0, CYREG_TMR0_RT0
.set SysTimer_TimerHW__RT1, CYREG_TMR0_RT1
.set SysTimer_TimerHW__SR0, CYREG_TMR0_SR0

/* Port0Pins */
.set Port0Pins__0__MASK, 0x01
.set Port0Pins__0__PC, CYREG_PRT0_PC0
.set Port0Pins__0__PORT, 0
.set Port0Pins__0__SHIFT, 0
.set Port0Pins__1__MASK, 0x02
.set Port0Pins__1__PC, CYREG_PRT0_PC1
.set Port0Pins__1__PORT, 0
.set Port0Pins__1__SHIFT, 1
.set Port0Pins__2__MASK, 0x04
.set Port0Pins__2__PC, CYREG_PRT0_PC2
.set Port0Pins__2__PORT, 0
.set Port0Pins__2__SHIFT, 2
.set Port0Pins__3__MASK, 0x08
.set Port0Pins__3__PC, CYREG_PRT0_PC3
.set Port0Pins__3__PORT, 0
.set Port0Pins__3__SHIFT, 3
.set Port0Pins__4__MASK, 0x10
.set Port0Pins__4__PC, CYREG_PRT0_PC4
.set Port0Pins__4__PORT, 0
.set Port0Pins__4__SHIFT, 4
.set Port0Pins__5__MASK, 0x20
.set Port0Pins__5__PC, CYREG_PRT0_PC5
.set Port0Pins__5__PORT, 0
.set Port0Pins__5__SHIFT, 5
.set Port0Pins__6__MASK, 0x40
.set Port0Pins__6__PC, CYREG_PRT0_PC6
.set Port0Pins__6__PORT, 0
.set Port0Pins__6__SHIFT, 6
.set Port0Pins__7__MASK, 0x80
.set Port0Pins__7__PC, CYREG_PRT0_PC7
.set Port0Pins__7__PORT, 0
.set Port0Pins__7__SHIFT, 7
.set Port0Pins__AG, CYREG_PRT0_AG
.set Port0Pins__AMUX, CYREG_PRT0_AMUX
.set Port0Pins__BIE, CYREG_PRT0_BIE
.set Port0Pins__BIT_MASK, CYREG_PRT0_BIT_MASK
.set Port0Pins__BYP, CYREG_PRT0_BYP
.set Port0Pins__CTL, CYREG_PRT0_CTL
.set Port0Pins__DM0, CYREG_PRT0_DM0
.set Port0Pins__DM1, CYREG_PRT0_DM1
.set Port0Pins__DM2, CYREG_PRT0_DM2
.set Port0Pins__DR, CYREG_PRT0_DR
.set Port0Pins__INP_DIS, CYREG_PRT0_INP_DIS
.set Port0Pins__LCD_COM_SEG, CYREG_PRT0_LCD_COM_SEG
.set Port0Pins__LCD_EN, CYREG_PRT0_LCD_EN
.set Port0Pins__MASK, 0xFF
.set Port0Pins__PORT, 0
.set Port0Pins__PRT, CYREG_PRT0_PRT
.set Port0Pins__PRTDSI__CAPS_SEL, CYREG_PRT0_CAPS_SEL
.set Port0Pins__PRTDSI__DBL_SYNC_IN, CYREG_PRT0_DBL_SYNC_IN
.set Port0Pins__PRTDSI__OE_SEL0, CYREG_PRT0_OE_SEL0
.set Port0Pins__PRTDSI__OE_SEL1, CYREG_PRT0_OE_SEL1
.set Port0Pins__PRTDSI__OUT_SEL0, CYREG_PRT0_OUT_SEL0
.set Port0Pins__PRTDSI__OUT_SEL1, CYREG_PRT0_OUT_SEL1
.set Port0Pins__PRTDSI__SYNC_OUT, CYREG_PRT0_SYNC_OUT
.set Port0Pins__PS, CYREG_PRT0_PS
.set Port0Pins__SHIFT, 0
.set Port0Pins__SLW, CYREG_PRT0_SLW

/* Port12Reg */
.set Port12Reg_Sync_ctrl_reg__0__MASK, 0x01
.set Port12Reg_Sync_ctrl_reg__0__POS, 0
.set Port12Reg_Sync_ctrl_reg__1__MASK, 0x02
.set Port12Reg_Sync_ctrl_reg__1__POS, 1
.set Port12Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG, CYREG_B1_UDB05_06_ACTL
.set Port12Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG, CYREG_B1_UDB05_06_CTL
.set Port12Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG, CYREG_B1_UDB05_06_CTL
.set Port12Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG, CYREG_B1_UDB05_06_CTL
.set Port12Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG, CYREG_B1_UDB05_06_CTL
.set Port12Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG, CYREG_B1_UDB05_06_MSK
.set Port12Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG, CYREG_B1_UDB05_06_MSK
.set Port12Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG, CYREG_B1_UDB05_06_MSK
.set Port12Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG, CYREG_B1_UDB05_06_MSK
.set Port12Reg_Sync_ctrl_reg__2__MASK, 0x04
.set Port12Reg_Sync_ctrl_reg__2__POS, 2
.set Port12Reg_Sync_ctrl_reg__3__MASK, 0x08
.set Port12Reg_Sync_ctrl_reg__3__POS, 3
.set Port12Reg_Sync_ctrl_reg__4__MASK, 0x10
.set Port12Reg_Sync_ctrl_reg__4__POS, 4
.set Port12Reg_Sync_ctrl_reg__5__MASK, 0x20
.set Port12Reg_Sync_ctrl_reg__5__POS, 5
.set Port12Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG, CYREG_B1_UDB05_ACTL
.set Port12Reg_Sync_ctrl_reg__CONTROL_REG, CYREG_B1_UDB05_CTL
.set Port12Reg_Sync_ctrl_reg__CONTROL_ST_REG, CYREG_B1_UDB05_ST_CTL
.set Port12Reg_Sync_ctrl_reg__COUNT_REG, CYREG_B1_UDB05_CTL
.set Port12Reg_Sync_ctrl_reg__COUNT_ST_REG, CYREG_B1_UDB05_ST_CTL
.set Port12Reg_Sync_ctrl_reg__MASK, 0x3F
.set Port12Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG, CYREG_B1_UDB05_MSK_ACTL
.set Port12Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG, CYREG_B1_UDB05_MSK_ACTL
.set Port12Reg_Sync_ctrl_reg__PERIOD_REG, CYREG_B1_UDB05_MSK

/* Port15Reg */
.set Port15Reg_Sync_ctrl_reg__0__MASK, 0x01
.set Port15Reg_Sync_ctrl_reg__0__POS, 0
.set Port15Reg_Sync_ctrl_reg__1__MASK, 0x02
.set Port15Reg_Sync_ctrl_reg__1__POS, 1
.set Port15Reg_Sync_ctrl_reg__16BIT_CONTROL_AUX_CTL_REG, CYREG_B1_UDB07_08_ACTL
.set Port15Reg_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG, CYREG_B1_UDB07_08_CTL
.set Port15Reg_Sync_ctrl_reg__16BIT_CONTROL_COUNT_REG, CYREG_B1_UDB07_08_CTL
.set Port15Reg_Sync_ctrl_reg__16BIT_COUNT_CONTROL_REG, CYREG_B1_UDB07_08_CTL
.set Port15Reg_Sync_ctrl_reg__16BIT_COUNT_COUNT_REG, CYREG_B1_UDB07_08_CTL
.set Port15Reg_Sync_ctrl_reg__16BIT_MASK_MASK_REG, CYREG_B1_UDB07_08_MSK
.set Port15Reg_Sync_ctrl_reg__16BIT_MASK_PERIOD_REG, CYREG_B1_UDB07_08_MSK
.set Port15Reg_Sync_ctrl_reg__16BIT_PERIOD_MASK_REG, CYREG_B1_UDB07_08_MSK
.set Port15Reg_Sync_ctrl_reg__16BIT_PERIOD_PERIOD_REG, CYREG_B1_UDB07_08_MSK
.set Port15Reg_Sync_ctrl_reg__2__MASK, 0x04
.set Port15Reg_Sync_ctrl_reg__2__POS, 2
.set Port15Reg_Sync_ctrl_reg__3__MASK, 0x08
.set Port15Reg_Sync_ctrl_reg__3__POS, 3
.set Port15Reg_Sync_ctrl_reg__4__MASK, 0x10
.set Port15Reg_Sync_ctrl_reg__4__POS, 4
.set Port15Reg_Sync_ctrl_reg__5__MASK, 0x20
.set Port15Reg_Sync_ctrl_reg__5__POS, 5
.set Port15Reg_Sync_ctrl_reg__CONTROL_AUX_CTL_REG, CYREG_B1_UDB07_ACTL
.set Port15Reg_Sync_ctrl_reg__CONTROL_REG, CYREG_B1_UDB07_CTL
.set Port15Reg_Sync_ctrl_reg__CONTROL_ST_REG, CYREG_B1_UDB07_ST_CTL
.set Port15Reg_Sync_ctrl_reg__COUNT_REG, CYREG_B1_UDB07_CTL
.set Port15Reg_Sync_ctrl_reg__COUNT_ST_REG, CYREG_B1_UDB07_ST_CTL
.set Port15Reg_Sync_ctrl_reg__MASK, 0x3F
.set Port15Reg_Sync_ctrl_reg__MASK_CTL_AUX_CTL_REG, CYREG_B1_UDB07_MSK_ACTL
.set Port15Reg_Sync_ctrl_reg__PER_CTL_AUX_CTL_REG, CYREG_B1_UDB07_MSK_ACTL
.set Port15Reg_Sync_ctrl_reg__PERIOD_REG, CYREG_B1_UDB07_MSK

/* Port2Pins */
.set Port2Pins__0__MASK, 0x01
.set Port2Pins__0__PC, CYREG_PRT2_PC0
.set Port2Pins__0__PORT, 2
.set Port2Pins__0__SHIFT, 0
.set Port2Pins__1__MASK, 0x02
.set Port2Pins__1__PC, CYREG_PRT2_PC1
.set Port2Pins__1__PORT, 2
.set Port2Pins__1__SHIFT, 1
.set Port2Pins__2__MASK, 0x04
.set Port2Pins__2__PC, CYREG_PRT2_PC2
.set Port2Pins__2__PORT, 2
.set Port2Pins__2__SHIFT, 2
.set Port2Pins__3__MASK, 0x08
.set Port2Pins__3__PC, CYREG_PRT2_PC3
.set Port2Pins__3__PORT, 2
.set Port2Pins__3__SHIFT, 3
.set Port2Pins__4__MASK, 0x10
.set Port2Pins__4__PC, CYREG_PRT2_PC4
.set Port2Pins__4__PORT, 2
.set Port2Pins__4__SHIFT, 4
.set Port2Pins__5__MASK, 0x20
.set Port2Pins__5__PC, CYREG_PRT2_PC5
.set Port2Pins__5__PORT, 2
.set Port2Pins__5__SHIFT, 5
.set Port2Pins__6__MASK, 0x40
.set Port2Pins__6__PC, CYREG_PRT2_PC6
.set Port2Pins__6__PORT, 2
.set Port2Pins__6__SHIFT, 6
.set Port2Pins__7__MASK, 0x80
.set Port2Pins__7__PC, CYREG_PRT2_PC7
.set Port2Pins__7__PORT, 2
.set Port2Pins__7__SHIFT, 7
.set Port2Pins__AG, CYREG_PRT2_AG
.set Port2Pins__AMUX, CYREG_PRT2_AMUX
.set Port2Pins__BIE, CYREG_PRT2_BIE
.set Port2Pins__BIT_MASK, CYREG_PRT2_BIT_MASK
.set Port2Pins__BYP, CYREG_PRT2_BYP
.set Port2Pins__CTL, CYREG_PRT2_CTL
.set Port2Pins__DM0, CYREG_PRT2_DM0
.set Port2Pins__DM1, CYREG_PRT2_DM1
.set Port2Pins__DM2, CYREG_PRT2_DM2
.set Port2Pins__DR, CYREG_PRT2_DR
.set Port2Pins__INP_DIS, CYREG_PRT2_INP_DIS
.set Port2Pins__LCD_COM_SEG, CYREG_PRT2_LCD_COM_SEG
.set Port2Pins__LCD_EN, CYREG_PRT2_LCD_EN
.set Port2Pins__MASK, 0xFF
.set Port2Pins__PORT, 2
.set Port2Pins__PRT, CYREG_PRT2_PRT
.set Port2Pins__PRTDSI__CAPS_SEL, CYREG_PRT2_CAPS_SEL
.set Port2Pins__PRTDSI__DBL_SYNC_IN, CYREG_PRT2_DBL_SYNC_IN
.set Port2Pins__PRTDSI__OE_SEL0, CYREG_PRT2_OE_SEL0
.set Port2Pins__PRTDSI__OE_SEL1, CYREG_PRT2_OE_SEL1
.set Port2Pins__PRTDSI__OUT_SEL0, CYREG_PRT2_OUT_SEL0
.set Port2Pins__PRTDSI__OUT_SEL1, CYREG_PRT2_OUT_SEL1
.set Port2Pins__PRTDSI__SYNC_OUT, CYREG_PRT2_SYNC_OUT
.set Port2Pins__PS, CYREG_PRT2_PS
.set Port2Pins__SHIFT, 0
.set Port2Pins__SLW, CYREG_PRT2_SLW

/* Port3Pins */
.set Port3Pins__0__MASK, 0x01
.set Port3Pins__0__PC, CYREG_PRT3_PC0
.set Port3Pins__0__PORT, 3
.set Port3Pins__0__SHIFT, 0
.set Port3Pins__1__MASK, 0x02
.set Port3Pins__1__PC, CYREG_PRT3_PC1
.set Port3Pins__1__PORT, 3
.set Port3Pins__1__SHIFT, 1
.set Port3Pins__2__MASK, 0x04
.set Port3Pins__2__PC, CYREG_PRT3_PC2
.set Port3Pins__2__PORT, 3
.set Port3Pins__2__SHIFT, 2
.set Port3Pins__3__MASK, 0x08
.set Port3Pins__3__PC, CYREG_PRT3_PC3
.set Port3Pins__3__PORT, 3
.set Port3Pins__3__SHIFT, 3
.set Port3Pins__4__MASK, 0x10
.set Port3Pins__4__PC, CYREG_PRT3_PC4
.set Port3Pins__4__PORT, 3
.set Port3Pins__4__SHIFT, 4
.set Port3Pins__5__MASK, 0x20
.set Port3Pins__5__PC, CYREG_PRT3_PC5
.set Port3Pins__5__PORT, 3
.set Port3Pins__5__SHIFT, 5
.set Port3Pins__6__MASK, 0x40
.set Port3Pins__6__PC, CYREG_PRT3_PC6
.set Port3Pins__6__PORT, 3
.set Port3Pins__6__SHIFT, 6
.set Port3Pins__7__MASK, 0x80
.set Port3Pins__7__PC, CYREG_PRT3_PC7
.set Port3Pins__7__PORT, 3
.set Port3Pins__7__SHIFT, 7
.set Port3Pins__AG, CYREG_PRT3_AG
.set Port3Pins__AMUX, CYREG_PRT3_AMUX
.set Port3Pins__BIE, CYREG_PRT3_BIE
.set Port3Pins__BIT_MASK, CYREG_PRT3_BIT_MASK
.set Port3Pins__BYP, CYREG_PRT3_BYP
.set Port3Pins__CTL, CYREG_PRT3_CTL
.set Port3Pins__DM0, CYREG_PRT3_DM0
.set Port3Pins__DM1, CYREG_PRT3_DM1
.set Port3Pins__DM2, CYREG_PRT3_DM2
.set Port3Pins__DR, CYREG_PRT3_DR
.set Port3Pins__INP_DIS, CYREG_PRT3_INP_DIS
.set Port3Pins__LCD_COM_SEG, CYREG_PRT3_LCD_COM_SEG
.set Port3Pins__LCD_EN, CYREG_PRT3_LCD_EN
.set Port3Pins__MASK, 0xFF
.set Port3Pins__PORT, 3
.set Port3Pins__PRT, CYREG_PRT3_PRT
.set Port3Pins__PRTDSI__CAPS_SEL, CYREG_PRT3_CAPS_SEL
.set Port3Pins__PRTDSI__DBL_SYNC_IN, CYREG_PRT3_DBL_SYNC_IN
.set Port3Pins__PRTDSI__OE_SEL0, CYREG_PRT3_OE_SEL0
.set Port3Pins__PRTDSI__OE_SEL1, CYREG_PRT3_OE_SEL1
.set Port3Pins__PRTDSI__OUT_SEL0, CYREG_PRT3_OUT_SEL0
.set Port3Pins__PRTDSI__OUT_SEL1, CYREG_PRT3_OUT_SEL1
.set Port3Pins__PRTDSI__SYNC_OUT, CYREG_PRT3_SYNC_OUT
.set Port3Pins__PS, CYREG_PRT3_PS
.set Port3Pins__SHIFT, 0
.set Port3Pins__SLW, CYREG_PRT3_SLW

/* Port4Pins */
.set Port4Pins__0__MASK, 0x01
.set Port4Pins__0__PC, CYREG_PRT4_PC0
.set Port4Pins__0__PORT, 4
.set Port4Pins__0__SHIFT, 0
.set Port4Pins__1__MASK, 0x02
.set Port4Pins__1__PC, CYREG_PRT4_PC1
.set Port4Pins__1__PORT, 4
.set Port4Pins__1__SHIFT, 1
.set Port4Pins__2__MASK, 0x04
.set Port4Pins__2__PC, CYREG_PRT4_PC2
.set Port4Pins__2__PORT, 4
.set Port4Pins__2__SHIFT, 2
.set Port4Pins__3__MASK, 0x08
.set Port4Pins__3__PC, CYREG_PRT4_PC3
.set Port4Pins__3__PORT, 4
.set Port4Pins__3__SHIFT, 3
.set Port4Pins__4__MASK, 0x10
.set Port4Pins__4__PC, CYREG_PRT4_PC4
.set Port4Pins__4__PORT, 4
.set Port4Pins__4__SHIFT, 4
.set Port4Pins__5__MASK, 0x20
.set Port4Pins__5__PC, CYREG_PRT4_PC5
.set Port4Pins__5__PORT, 4
.set Port4Pins__5__SHIFT, 5
.set Port4Pins__6__MASK, 0x40
.set Port4Pins__6__PC, CYREG_PRT4_PC6
.set Port4Pins__6__PORT, 4
.set Port4Pins__6__SHIFT, 6
.set Port4Pins__7__MASK, 0x80
.set Port4Pins__7__PC, CYREG_PRT4_PC7
.set Port4Pins__7__PORT, 4
.set Port4Pins__7__SHIFT, 7
.set Port4Pins__AG, CYREG_PRT4_AG
.set Port4Pins__AMUX, CYREG_PRT4_AMUX
.set Port4Pins__BIE, CYREG_PRT4_BIE
.set Port4Pins__BIT_MASK, CYREG_PRT4_BIT_MASK
.set Port4Pins__BYP, CYREG_PRT4_BYP
.set Port4Pins__CTL, CYREG_PRT4_CTL
.set Port4Pins__DM0, CYREG_PRT4_DM0
.set Port4Pins__DM1, CYREG_PRT4_DM1
.set Port4Pins__DM2, CYREG_PRT4_DM2
.set Port4Pins__DR, CYREG_PRT4_DR
.set Port4Pins__INP_DIS, CYREG_PRT4_INP_DIS
.set Port4Pins__LCD_COM_SEG, CYREG_PRT4_LCD_COM_SEG
.set Port4Pins__LCD_EN, CYREG_PRT4_LCD_EN
.set Port4Pins__MASK, 0xFF
.set Port4Pins__PORT, 4
.set Port4Pins__PRT, CYREG_PRT4_PRT
.set Port4Pins__PRTDSI__CAPS_SEL, CYREG_PRT4_CAPS_SEL
.set Port4Pins__PRTDSI__DBL_SYNC_IN, CYREG_PRT4_DBL_SYNC_IN
.set Port4Pins__PRTDSI__OE_SEL0, CYREG_PRT4_OE_SEL0
.set Port4Pins__PRTDSI__OE_SEL1, CYREG_PRT4_OE_SEL1
.set Port4Pins__PRTDSI__OUT_SEL0, CYREG_PRT4_OUT_SEL0
.set Port4Pins__PRTDSI__OUT_SEL1, CYREG_PRT4_OUT_SEL1
.set Port4Pins__PRTDSI__SYNC_OUT, CYREG_PRT4_SYNC_OUT
.set Port4Pins__PS, CYREG_PRT4_PS
.set Port4Pins__SHIFT, 0
.set Port4Pins__SLW, CYREG_PRT4_SLW

/* Port5Pins */
.set Port5Pins__0__MASK, 0x10
.set Port5Pins__0__PC, CYREG_PRT5_PC4
.set Port5Pins__0__PORT, 5
.set Port5Pins__0__SHIFT, 4
.set Port5Pins__1__MASK, 0x20
.set Port5Pins__1__PC, CYREG_PRT5_PC5
.set Port5Pins__1__PORT, 5
.set Port5Pins__1__SHIFT, 5
.set Port5Pins__2__MASK, 0x40
.set Port5Pins__2__PC, CYREG_PRT5_PC6
.set Port5Pins__2__PORT, 5
.set Port5Pins__2__SHIFT, 6
.set Port5Pins__3__MASK, 0x80
.set Port5Pins__3__PC, CYREG_PRT5_PC7
.set Port5Pins__3__PORT, 5
.set Port5Pins__3__SHIFT, 7
.set Port5Pins__AG, CYREG_PRT5_AG
.set Port5Pins__AMUX, CYREG_PRT5_AMUX
.set Port5Pins__BIE, CYREG_PRT5_BIE
.set Port5Pins__BIT_MASK, CYREG_PRT5_BIT_MASK
.set Port5Pins__BYP, CYREG_PRT5_BYP
.set Port5Pins__CTL, CYREG_PRT5_CTL
.set Port5Pins__DM0, CYREG_PRT5_DM0
.set Port5Pins__DM1, CYREG_PRT5_DM1
.set Port5Pins__DM2, CYREG_PRT5_DM2
.set Port5Pins__DR, CYREG_PRT5_DR
.set Port5Pins__INP_DIS, CYREG_PRT5_INP_DIS
.set Port5Pins__LCD_COM_SEG, CYREG_PRT5_LCD_COM_SEG
.set Port5Pins__LCD_EN, CYREG_PRT5_LCD_EN
.set Port5Pins__MASK, 0xF0
.set Port5Pins__PORT, 5
.set Port5Pins__PRT, CYREG_PRT5_PRT
.set Port5Pins__PRTDSI__CAPS_SEL, CYREG_PRT5_CAPS_SEL
.set Port5Pins__PRTDSI__DBL_SYNC_IN, CYREG_PRT5_DBL_SYNC_IN
.set Port5Pins__PRTDSI__OE_SEL0, CYREG_PRT5_OE_SEL0
.set Port5Pins__PRTDSI__OE_SEL1, CYREG_PRT5_OE_SEL1
.set Port5Pins__PRTDSI__OUT_SEL0, CYREG_PRT5_OUT_SEL0
.set Port5Pins__PRTDSI__OUT_SEL1, CYREG_PRT5_OUT_SEL1
.set Port5Pins__PRTDSI__SYNC_OUT, CYREG_PRT5_SYNC_OUT
.set Port5Pins__PS, CYREG_PRT5_PS
.set Port5Pins__SHIFT, 4
.set Port5Pins__SLW, CYREG_PRT5_SLW

/* Port6Pins */
.set Port6Pins__0__MASK, 0x01
.set Port6Pins__0__PC, CYREG_PRT6_PC0
.set Port6Pins__0__PORT, 6
.set Port6Pins__0__SHIFT, 0
.set Port6Pins__1__MASK, 0x02
.set Port6Pins__1__PC, CYREG_PRT6_PC1
.set Port6Pins__1__PORT, 6
.set Port6Pins__1__SHIFT, 1
.set Port6Pins__2__MASK, 0x04
.set Port6Pins__2__PC, CYREG_PRT6_PC2
.set Port6Pins__2__PORT, 6
.set Port6Pins__2__SHIFT, 2
.set Port6Pins__3__MASK, 0x08
.set Port6Pins__3__PC, CYREG_PRT6_PC3
.set Port6Pins__3__PORT, 6
.set Port6Pins__3__SHIFT, 3
.set Port6Pins__4__MASK, 0x10
.set Port6Pins__4__PC, CYREG_PRT6_PC4
.set Port6Pins__4__PORT, 6
.set Port6Pins__4__SHIFT, 4
.set Port6Pins__5__MASK, 0x20
.set Port6Pins__5__PC, CYREG_PRT6_PC5
.set Port6Pins__5__PORT, 6
.set Port6Pins__5__SHIFT, 5
.set Port6Pins__6__MASK, 0x40
.set Port6Pins__6__PC, CYREG_PRT6_PC6
.set Port6Pins__6__PORT, 6
.set Port6Pins__6__SHIFT, 6
.set Port6Pins__7__MASK, 0x80
.set Port6Pins__7__PC, CYREG_PRT6_PC7
.set Port6Pins__7__PORT, 6
.set Port6Pins__7__SHIFT, 7
.set Port6Pins__AG, CYREG_PRT6_AG
.set Port6Pins__AMUX, CYREG_PRT6_AMUX
.set Port6Pins__BIE, CYREG_PRT6_BIE
.set Port6Pins__BIT_MASK, CYREG_PRT6_BIT_MASK
.set Port6Pins__BYP, CYREG_PRT6_BYP
.set Port6Pins__CTL, CYREG_PRT6_CTL
.set Port6Pins__DM0, CYREG_PRT6_DM0
.set Port6Pins__DM1, CYREG_PRT6_DM1
.set Port6Pins__DM2, CYREG_PRT6_DM2
.set Port6Pins__DR, CYREG_PRT6_DR
.set Port6Pins__INP_DIS, CYREG_PRT6_INP_DIS
.set Port6Pins__LCD_COM_SEG, CYREG_PRT6_LCD_COM_SEG
.set Port6Pins__LCD_EN, CYREG_PRT6_LCD_EN
.set Port6Pins__MASK, 0xFF
.set Port6Pins__PORT, 6
.set Port6Pins__PRT, CYREG_PRT6_PRT
.set Port6Pins__PRTDSI__CAPS_SEL, CYREG_PRT6_CAPS_SEL
.set Port6Pins__PRTDSI__DBL_SYNC_IN, CYREG_PRT6_DBL_SYNC_IN
.set Port6Pins__PRTDSI__OE_SEL0, CYREG_PRT6_OE_SEL0
.set Port6Pins__PRTDSI__OE_SEL1, CYREG_PRT6_OE_SEL1
.set Port6Pins__PRTDSI__OUT_SEL0, CYREG_PRT6_OUT_SEL0
.set Port6Pins__PRTDSI__OUT_SEL1, CYREG_PRT6_OUT_SEL1
.set Port6Pins__PRTDSI__SYNC_OUT, CYREG_PRT6_SYNC_OUT
.set Port6Pins__PS, CYREG_PRT6_PS
.set Port6Pins__SHIFT, 0
.set Port6Pins__SLW, CYREG_PRT6_SLW

/* Port12Pins */
.set Port12Pins__0__MASK, 0x01
.set Port12Pins__0__PC, CYREG_PRT12_PC0
.set Port12Pins__0__PORT, 12
.set Port12Pins__0__SHIFT, 0
.set Port12Pins__1__MASK, 0x02
.set Port12Pins__1__PC, CYREG_PRT12_PC1
.set Port12Pins__1__PORT, 12
.set Port12Pins__1__SHIFT, 1
.set Port12Pins__2__MASK, 0x04
.set Port12Pins__2__PC, CYREG_PRT12_PC2
.set Port12Pins__2__PORT, 12
.set Port12Pins__2__SHIFT, 2
.set Port12Pins__3__MASK, 0x08
.set Port12Pins__3__PC, CYREG_PRT12_PC3
.set Port12Pins__3__PORT, 12
.set Port12Pins__3__SHIFT, 3
.set Port12Pins__4__MASK, 0x10
.set Port12Pins__4__PC, CYREG_PRT12_PC4
.set Port12Pins__4__PORT, 12
.set Port12Pins__4__SHIFT, 4
.set Port12Pins__5__MASK, 0x20
.set Port12Pins__5__PC, CYREG_PRT12_PC5
.set Port12Pins__5__PORT, 12
.set Port12Pins__5__SHIFT, 5
.set Port12Pins__AG, CYREG_PRT12_AG
.set Port12Pins__BIE, CYREG_PRT12_BIE
.set Port12Pins__BIT_MASK, CYREG_PRT12_BIT_MASK
.set Port12Pins__BYP, CYREG_PRT12_BYP
.set Port12Pins__DM0, CYREG_PRT12_DM0
.set Port12Pins__DM1, CYREG_PRT12_DM1
.set Port12Pins__DM2, CYREG_PRT12_DM2
.set Port12Pins__DR, CYREG_PRT12_DR
.set Port12Pins__INP_DIS, CYREG_PRT12_INP_DIS
.set Port12Pins__MASK, 0x3F
.set Port12Pins__PORT, 12
.set Port12Pins__PRT, CYREG_PRT12_PRT
.set Port12Pins__PRTDSI__DBL_SYNC_IN, CYREG_PRT12_DBL_SYNC_IN
.set Port12Pins__PRTDSI__OE_SEL0, CYREG_PRT12_OE_SEL0
.set Port12Pins__PRTDSI__OE_SEL1, CYREG_PRT12_OE_SEL1
.set Port12Pins__PRTDSI__OUT_SEL0, CYREG_PRT12_OUT_SEL0
.set Port12Pins__PRTDSI__OUT_SEL1, CYREG_PRT12_OUT_SEL1
.set Port12Pins__PRTDSI__SYNC_OUT, CYREG_PRT12_SYNC_OUT
.set Port12Pins__PS, CYREG_PRT12_PS
.set Port12Pins__SHIFT, 0
.set Port12Pins__SIO_CFG, CYREG_PRT12_SIO_CFG
.set Port12Pins__SIO_DIFF, CYREG_PRT12_SIO_DIFF
.set Port12Pins__SIO_HYST_EN, CYREG_PRT12_SIO_HYST_EN
.set Port12Pins__SIO_REG_HIFREQ, CYREG_PRT12_SIO_REG_HIFREQ
.set Port12Pins__SLW, CYREG_PRT12_SLW

/* Port15Pins */
.set Port15Pins__0__MASK, 0x01
.set Port15Pins__0__PC, CYREG_IO_PC_PRT15_PC0
.set Port15Pins__0__PORT, 15
.set Port15Pins__0__SHIFT, 0
.set Port15Pins__1__MASK, 0x02
.set Port15Pins__1__PC, CYREG_IO_PC_PRT15_PC1
.set Port15Pins__1__PORT, 15
.set Port15Pins__1__SHIFT, 1
.set Port15Pins__2__MASK, 0x04
.set Port15Pins__2__PC, CYREG_IO_PC_PRT15_PC2
.set Port15Pins__2__PORT, 15
.set Port15Pins__2__SHIFT, 2
.set Port15Pins__3__MASK, 0x08
.set Port15Pins__3__PC, CYREG_IO_PC_PRT15_PC3
.set Port15Pins__3__PORT, 15
.set Port15Pins__3__SHIFT, 3
.set Port15Pins__4__MASK, 0x10
.set Port15Pins__4__PC, CYREG_IO_PC_PRT15_PC4
.set Port15Pins__4__PORT, 15
.set Port15Pins__4__SHIFT, 4
.set Port15Pins__5__MASK, 0x20
.set Port15Pins__5__PC, CYREG_IO_PC_PRT15_PC5
.set Port15Pins__5__PORT, 15
.set Port15Pins__5__SHIFT, 5
.set Port15Pins__AG, CYREG_PRT15_AG
.set Port15Pins__AMUX, CYREG_PRT15_AMUX
.set Port15Pins__BIE, CYREG_PRT15_BIE
.set Port15Pins__BIT_MASK, CYREG_PRT15_BIT_MASK
.set Port15Pins__BYP, CYREG_PRT15_BYP
.set Port15Pins__CTL, CYREG_PRT15_CTL
.set Port15Pins__DM0, CYREG_PRT15_DM0
.set Port15Pins__DM1, CYREG_PRT15_DM1
.set Port15Pins__DM2, CYREG_PRT15_DM2
.set Port15Pins__DR, CYREG_PRT15_DR
.set Port15Pins__INP_DIS, CYREG_PRT15_INP_DIS
.set Port15Pins__LCD_COM_SEG, CYREG_PRT15_LCD_COM_SEG
.set Port15Pins__LCD_EN, CYREG_PRT15_LCD_EN
.set Port15Pins__MASK, 0x3F
.set Port15Pins__PORT, 15
.set Port15Pins__PRT, CYREG_PRT15_PRT
.set Port15Pins__PRTDSI__CAPS_SEL, CYREG_PRT15_CAPS_SEL
.set Port15Pins__PRTDSI__DBL_SYNC_IN, CYREG_PRT15_DBL_SYNC_IN
.set Port15Pins__PRTDSI__OE_SEL0, CYREG_PRT15_OE_SEL0
.set Port15Pins__PRTDSI__OE_SEL1, CYREG_PRT15_OE_SEL1
.set Port15Pins__PRTDSI__OUT_SEL0, CYREG_PRT15_OUT_SEL0
.set Port15Pins__PRTDSI__OUT_SEL1, CYREG_PRT15_OUT_SEL1
.set Port15Pins__PRTDSI__SYNC_OUT, CYREG_PRT15_SYNC_OUT
.set Port15Pins__PS, CYREG_PRT15_PS
.set Port15Pins__SHIFT, 0
.set Port15Pins__SLW, CYREG_PRT15_SLW

/* Miscellaneous */
.set BCLK__BUS_CLK__HZ, 64000000
.set BCLK__BUS_CLK__KHZ, 64000
.set BCLK__BUS_CLK__MHZ, 64
.set CYDEV_CHIP_DIE_LEOPARD, 1
.set CYDEV_CHIP_DIE_PANTHER, 4
.set CYDEV_CHIP_DIE_PSOC4A, 2
.set CYDEV_CHIP_DIE_PSOC5LP, 5
.set CYDEV_CHIP_DIE_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_PSOC3, 1
.set CYDEV_CHIP_FAMILY_PSOC4, 2
.set CYDEV_CHIP_FAMILY_PSOC5, 3
.set CYDEV_CHIP_FAMILY_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_USED, CYDEV_CHIP_FAMILY_PSOC5
.set CYDEV_CHIP_JTAG_ID, 0x2E123069
.set CYDEV_CHIP_MEMBER_3A, 1
.set CYDEV_CHIP_MEMBER_4A, 2
.set CYDEV_CHIP_MEMBER_4D, 3
.set CYDEV_CHIP_MEMBER_5A, 4
.set CYDEV_CHIP_MEMBER_5B, 5
.set CYDEV_CHIP_MEMBER_UNKNOWN, 0
.set CYDEV_CHIP_MEMBER_USED, CYDEV_CHIP_MEMBER_5B
.set CYDEV_CHIP_DIE_EXPECT, CYDEV_CHIP_MEMBER_USED
.set CYDEV_CHIP_DIE_ACTUAL, CYDEV_CHIP_DIE_EXPECT
.set CYDEV_CHIP_REV_LEOPARD_ES1, 0
.set CYDEV_CHIP_REV_LEOPARD_ES2, 1
.set CYDEV_CHIP_REV_LEOPARD_ES3, 3
.set CYDEV_CHIP_REV_LEOPARD_PRODUCTION, 3
.set CYDEV_CHIP_REV_PANTHER_ES0, 0
.set CYDEV_CHIP_REV_PANTHER_ES1, 1
.set CYDEV_CHIP_REV_PANTHER_PRODUCTION, 1
.set CYDEV_CHIP_REV_PSOC4A_ES0, 17
.set CYDEV_CHIP_REV_PSOC4A_PRODUCTION, 17
.set CYDEV_CHIP_REV_PSOC5LP_ES0, 0
.set CYDEV_CHIP_REV_PSOC5LP_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_3A_ES1, 0
.set CYDEV_CHIP_REVISION_3A_ES2, 1
.set CYDEV_CHIP_REVISION_3A_ES3, 3
.set CYDEV_CHIP_REVISION_3A_PRODUCTION, 3
.set CYDEV_CHIP_REVISION_4A_ES0, 17
.set CYDEV_CHIP_REVISION_4A_PRODUCTION, 17
.set CYDEV_CHIP_REVISION_4D_ES0, 0
.set CYDEV_CHIP_REVISION_4D_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_5A_ES0, 0
.set CYDEV_CHIP_REVISION_5A_ES1, 1
.set CYDEV_CHIP_REVISION_5A_PRODUCTION, 1
.set CYDEV_CHIP_REVISION_5B_ES0, 0
.set CYDEV_CHIP_REVISION_5B_PRODUCTION, 0
.set CYDEV_CHIP_REVISION_USED, CYDEV_CHIP_REVISION_5B_PRODUCTION
.set CYDEV_CHIP_REV_EXPECT, CYDEV_CHIP_REVISION_USED
.set CYDEV_CONFIG_FASTBOOT_ENABLED, 1
.set CYDEV_CONFIG_UNUSED_IO_AllowButWarn, 0
.set CYDEV_CONFIG_UNUSED_IO, CYDEV_CONFIG_UNUSED_IO_AllowButWarn
.set CYDEV_CONFIG_UNUSED_IO_AllowWithInfo, 1
.set CYDEV_CONFIG_UNUSED_IO_Disallowed, 2
.set CYDEV_CONFIGURATION_COMPRESSED, 1
.set CYDEV_CONFIGURATION_DMA, 0
.set CYDEV_CONFIGURATION_ECC, 1
.set CYDEV_CONFIGURATION_IMOENABLED, CYDEV_CONFIG_FASTBOOT_ENABLED
.set CYDEV_CONFIGURATION_MODE_COMPRESSED, 0
.set CYDEV_CONFIGURATION_MODE, CYDEV_CONFIGURATION_MODE_COMPRESSED
.set CYDEV_CONFIGURATION_MODE_DMA, 2
.set CYDEV_CONFIGURATION_MODE_UNCOMPRESSED, 1
.set CYDEV_DEBUG_ENABLE_MASK, 0x20
.set CYDEV_DEBUG_ENABLE_REGISTER, CYREG_MLOGIC_DEBUG
.set CYDEV_DEBUGGING_DPS_Disable, 3
.set CYDEV_DEBUGGING_DPS_JTAG_4, 1
.set CYDEV_DEBUGGING_DPS_JTAG_5, 0
.set CYDEV_DEBUGGING_DPS_SWD, 2
.set CYDEV_DEBUGGING_DPS_SWD_SWV, 6
.set CYDEV_DEBUGGING_DPS, CYDEV_DEBUGGING_DPS_SWD_SWV
.set CYDEV_DEBUGGING_ENABLE, 1
.set CYDEV_DEBUGGING_XRES, 0
.set CYDEV_DMA_CHANNELS_AVAILABLE, 24
.set CYDEV_ECC_ENABLE, 0
.set CYDEV_HEAP_SIZE, 0x0800
.set CYDEV_INSTRUCT_CACHE_ENABLED, 1
.set CYDEV_INTR_RISING, 0x00000000
.set CYDEV_PROJ_TYPE, 0
.set CYDEV_PROJ_TYPE_BOOTLOADER, 1
.set CYDEV_PROJ_TYPE_LOADABLE, 2
.set CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER, 3
.set CYDEV_PROJ_TYPE_STANDARD, 0
.set CYDEV_PROTECTION_ENABLE, 0
.set CYDEV_STACK_SIZE, 0x2000
.set CYDEV_USB_CLK_OSC_LOCKING_ENABLED_AT_PWR_UP, 1
.set CYDEV_USE_BUNDLED_CMSIS, 1
.set CYDEV_VARIABLE_VDDA, 0
.set CYDEV_VDDA_MV, 3300
.set CYDEV_VDDD_MV, 3300
.set CYDEV_VDDIO0_MV, 3300
.set CYDEV_VDDIO1_MV, 3300
.set CYDEV_VDDIO2_MV, 3300
.set CYDEV_VDDIO3_MV, 3300
.set CYDEV_VIO0_MV, 3300
.set CYDEV_VIO1_MV, 3300
.set CYDEV_VIO2_MV, 3300
.set CYDEV_VIO3_MV, 3300
.set CYIPBLOCK_ARM_CM3_VERSION, 0
.set CYIPBLOCK_P3_ANAIF_VERSION, 0
.set CYIPBLOCK_P3_CAN_VERSION, 0
.set CYIPBLOCK_P3_CAPSENSE_VERSION, 0
.set CYIPBLOCK_P3_COMP_VERSION, 0
.set CYIPBLOCK_P3_DECIMATOR_VERSION, 0
.set CYIPBLOCK_P3_DFB_VERSION, 0
.set CYIPBLOCK_P3_DMA_VERSION, 0
.set CYIPBLOCK_P3_DRQ_VERSION, 0
.set CYIPBLOCK_P3_DSM_VERSION, 0
.set CYIPBLOCK_P3_EMIF_VERSION, 0
.set CYIPBLOCK_P3_I2C_VERSION, 0
.set CYIPBLOCK_P3_LCD_VERSION, 0
.set CYIPBLOCK_P3_LPF_VERSION, 0
.set CYIPBLOCK_P3_OPAMP_VERSION, 0
.set CYIPBLOCK_P3_PM_VERSION, 0
.set CYIPBLOCK_P3_SCCT_VERSION, 0
.set CYIPBLOCK_P3_TIMER_VERSION, 0
.set CYIPBLOCK_P3_USB_VERSION, 0
.set CYIPBLOCK_P3_VIDAC_VERSION, 0
.set CYIPBLOCK_P3_VREF_VERSION, 0
.set CYIPBLOCK_S8_GPIO_VERSION, 0
.set CYIPBLOCK_S8_IRQ_VERSION, 0
.set CYIPBLOCK_S8_SAR_VERSION, 0
.set CYIPBLOCK_S8_SIO_VERSION, 0
.set CYIPBLOCK_S8_UDB_VERSION, 0
.set DMA_CHANNELS_USED__MASK0, 0x00000000
.set CYDEV_BOOTLOADER_ENABLE, 0
.endif
